Welcome

Bienvenue dans Samurize!

Samurize est le successeur du logiciel CureInfo. C'est un moniteur système extrêmement configurable pour Win2K/XP. L'éditeur de configuration est séparé des clients Samurize pour une utilisation mémoire limité. Il affiche des infos de votre système sur votre bureau, dans votre barre des tâches ou même sur le web.

Samurize converse avec les compteurs de performance NT pour une extrême flexibilité dans l'affichage des infos système en utilisant le moins de ressources possible.

Samurize affiche les infos désirées de toutes vos machines (pour les réseaux locaux) en un seul endroit de votre bureau. Entièrement customisable, Samurize dispose un script et un plugin vous permettant d'afficher les infos que vous voulez , quand vous le voulez.

Les infos que Samurize peut afficher sont l'Utilisation CPU, l'utilisation Disque, le traffic du réseau (local ou internet), les températures du système, les principaux processus, des infos sur la mémoire et sur les WMI (Windows Management Instrumentations).

Samurize propose aussi un système de plugin/script qui permet d'afficher n('importe quelle autre information supplémentaire xomme les bulletins Météo, les programmes TV et les entêtes de News. La seule limite est votre imagination !


Quickstart Guide

Guide de démarrage rapide

Samurize est composé de 2 programmes principauxs: Le client Desktop (Client.exe, Client pour les intimes :) ) et l'éditeur de configuration (config.exe).

L'éditeur de configuration est une interface WYSIWYG utilisé pour créer des "configs". Une config est un fichier qui "dit" à Samurize Quoi afficher à l'écran. Pour utiliser l'éditeur de cofiguration, faites un click-droit suz la zone appelée "Aire de dessin" et sélectionnez les différents contrôles via le menu pop-up. Vous pouvez changer l'aspect avec lequel Samurize affiche les informations en modifiant l'option "Type de dessin" dans la zone "Propriétés du contrôle" à droite de l'aire de dessin. Vous pouvez aussi ajouter des images statiques dans l'onglet "Editer les graphiques" à droite de l'aire de dessin. Lorque votre config est finie , enregistrez la dans le dossier Samurize/Configs.

Le client est utilisé pour afficher une config sur votre bureau. Lorsque vous lancez le client, une icone (un "S" sur fond gris) apparaît dans la zone de notification. Un clik-droit sur cette icone permet de voir les options du client. Pour charger une config, Sélectionnez le fichier de configuration désirant depuis "Sélectionner la configuration" dans le menu pop-up.

Une config simple (appelée Sample.ini) est fournie pour vous permettre de commencer.

La meilleure façon de se rendre compte des possibilité de Samurize est de tester petit à petit, Mais si vous avez quelques problèmes, faites un tour sur samurize.com et lisez nos FAQs, Tutoriels et forums. Il y a des chances pour que vous trouviez une solution à votre problème.

La seule limite et votre imagination - alors fermer cette aide et mettez vous au travail! :)


Features

Caractéristiques
Caractéristiques:
  • Utilisation CPU/memory moindre (<1% sur Celeron 633).
  • "Per-pixel alpha blending" (les graphiques sont lissés indépendament du bureau).
  • Positionnement réglable (Attaché au bureau, Toujours en haut, ...).
  • Nombre illimité de contrôles et graphiques.
  • Possibilité de lancer plusieurs Clients à la fois.
Contrôles disponibles:
  • Compteurs de performance (plus de 100 possibilités)
  • Contrôles WMI (Encore plus de 100 possibilités !)
  • Support des scripts (Javascript/VBScript)
  • Support des plugins (C++, Delphi, Powerbasic...)
  • Possibilité de monitorer tout type de mémoire (Physique/Virtuelle/Fichier d'échange)
  • Espace disque (Réseaux/Fixes/Mappés)
  • Support des pc portables (Niveau de batterie/Status)
  • Support des commandes DOS (affiche le résultat de la plupart des commandes DOS)
  • Gestion de l' "Uptime".
  • Affichage des Heures/Dates
  • Gestion des comptes mail POP3
  • Totaux des traffics réseaux
  • Support des lecteurs de Médias (Winamp 2/3/5, foobar2000, Quintessential Player)
  • Support complet de MBM (les sondes, nécessite l'installation de MotherBoard)
  • Support des fichiers texte (Affiche des lignes de fichiers texte de plus de 4GB)
Types d'affichage:
  • Texte
  • Graphiques linéaires
  • Histogrammes
  • Graphiques en 'camembert'
  • Barres de progression
  • Cadrans circulaires analogiques
  • Images dynamiques (Plugin visuels)
Objets graphiques:
  • Forme courantes (rectangles, rectangles arrondis, ellipses, et lignes)
  • Images au format GIF, JPEG, PNG, BMP, et ICO (La transparence est gérée.)


Donate

Donations

Samurize est gratuit pour une utilisation personnelle. Cependant, si vous voulez exprimer vos remerciements pour le temps passé au développement, à la documentation ou au support, les donations sont acceptées et trés appréciées. Vous pouvez faire vos dons en cliquant sur l'image ci-dessous.

Merci pour vos encouragementst.


Changes

Changements

version 1.61
-------------

    Corrections de bug:
        * correction du bug des paramètres de scripts restant vides.
        * correction du bug de copie du contrôle "Espace disque".
        * l'argument de ligne de commande 'hide' peut être utilisé pour lancer des clients en mode 'caché'.
        * correction du bug "Invalid Floating Point error" dans les graphiques lors d'utilisation de valeurs de crête.
        * correction du bug au niveau du pourcentage du contrôle "Espace Disque".
        * correction du bug de la commande "Tester tout les Scripts/Plugins".
        * les variables "%m/%h" du contrôle Heure/Date sont maintenant vraiment 'fluides'.
        * correction du bug de "%hr[r]" qui affichait '12ho' au lieu de '0h'.
        * correction du bug du chargement des fichiers 'ICO'.
        * Amélioration du temps de chargement de la liste des plugins.

    Changements/Améliorations:
        * Mise à jour du moteur graphique, amélioration des effets "blending/antialiasing".
        * les contrôles "Batterie" sont réunis dans un seul, avec réglages d'options possible.
        * Entrée "NameSpace" ajoutée pour les contrôles WMI.
        * L'option "Coller aux bords de l'écran" tient compte de la barre des tâches.
        * Mise à jour de la fonction "source_configure" pour les créateurs de plugin (Voir le fichier d'aide).
        * la combinaison "Ctrl + molette de la souris" permet de choisir le zoom de l'aire de dessin dans l'éditeur de configuration.

    Nouvelles fonctions:
        * fadein/fadeout des configs à l'écran.
        * Liste des contrôles à gauche dans l'éditeur de configuration.
        * Nouvelles entrées dans le SDK (Software Development Kit).

v1.60 release
-------------

    Bugfixes:
        * fixed graphic object height buttons bug
        * fixed minor alert bug
        * fixed minor graph bugs
        * fixed bounce scrolling bug
        * fixed large fonts problem with Instance Manager
        * Fixed Bug with leading and trailing spaces/tabs removed on Text Output
        * fixed Analog meter memory leak
        * fixed About box bug for visual plugins
        * fixed "No Disk" Drivespace meter error
        * leading zeroes now preserved in text display type
        * fixed instance manager error on first use
        * fixed Server pause bug
        * fixed commandline option bugs when instance/config names contain "reserved" commands
        * Pin to Desktop "Compatibility Mode" for users running multimonitor setups
        * fixed minor image bug so image does not get reset when clicking in the path box
        * fixed select config file menu bug
        * fixed png/xml server commandline options
        * 'close' commandline option does not open an instance if it is not running
        * fixed server PNG output bug when no config loaded

    Changes/Improvements:
        * loop N times for animated GIFs
        * translated Instance Manager
        * instance names no longer case-sensitive
        * multiline scrolling supported
        * zoom up to 1200%
        * individual refresh rates per meter
        * New Look Toolbars and Menu Bars
        * Improved Preferences Dialog Box
        * custom colors loaded/saved on show/close color dialog
        * upgraded graphics engine (should be stabler)
        * reduced CPU usage for Image display type when aspect ratio not maintained
        * 12-hour time display without AM/PM for DateTime meter
        * taskbar client API calls
        * snap to screen edges works with edges of multiple monitors
        * multiple drive selection for DriveSpace meter
        * Reload/Edit Config buttons, tray icon for instance manager
        * Instance manager menu option in clients
        * Min digits before decimal place for text display meter
        * pressing enter applies all edit controls
        * Text meter wrapping - words that are too long for a line are wrapped
        * %v works in sound/command alerts/meter linkage
        * tweaked tray icon to use 16x16 icons in preference to 32x32, and relative paths
        * image cropping option for Image display type
        * Config name added to client tray icon hint
        * Ctrl+Shift+V performs paste meter in original position
        * tweaked meter linkage/alert commands to pass parameters correctly
        * new icons (big props to JyriK)
        * Added Edit Image buttons to Background image and Meter Image properties
        * Proxy settings

    New Features:
        * Run Meters when Config loads into Editor
        * SpeedFan meter type
        * CPU priority
        * PHPScript support
        * Import Export tool for easy config sharing

    Installer:
        * Language settings
        * Winning configs from the last config competition are included

v1.55 release
-------------

    Bugfixes:
        * fixed WMI crashing bug
        * fixed vertical alignment issue
        * fixed paste decimal issue
        * fixed 1-px antialiased graph bug
        * fixed bizarre floating point error
        * fixed rare activescript bug
        * fixed all decimal separator issues
        * fixed rectangle glitch
        * fixed config editor script saving bug
        * ... plus a few more

    Improvements:
        * added "actual" pagefile usage to memory meter
        * new AMPI (kudos to Tropics)
        * new Screensaver (kudos to Tropics)
        * middle mouse button = paste
        * tweaked scrolling
        * heaps of missing translations added
        * improved config loading error handling
        * improved script execution
        * improved script error reporting
        * minor tweaks to config editor
        * Winamp % playlist completion
        * DateTime week number
        * advanced WMI selection
        * scroll pausing
        * nopng/noxml options for Server
        * text truncation
        * selected config/language file indicated in menus
        * new sample C++ source plugin (thanks AdamC)
        * bottom panel in config editor shown by default for new installations
        * client "Run on startup" option
        * config editor assign to instance

    New Features:
        * abs. always on top for Client
        * horizontal graphs/histograms
        * rubyscript support
        * animated GIF support
        * instance manager application

v1.50 Release
-------------

    Bugfixes:
        * DLL error fixed that caused tadis' Milk Suite to crash
        * fixed network paths issue
        * fixed IME issue for Asian users (improved config editor loading time)
        * fixed zooming in on small images bug
        * all/multiple perfmon selections now work as expected

    Improvements:
        * updated AMPI plugins (kudos to Tropics)
        * smaller zoom levels
        * next/previous meter cyclic
        * ctrl-pgup/pgdn for switching tabs
        * smooth scrolling
        * "bounce" scrolling
        * each instance can only be open once
        * environment variables expanded for script/plugin parameters
        * image antialiasing option in config editor
        * sound/command alerts can each have individual settings
        * custom WMI class input box for WMI chooser window
        * BMP/GIF/JPEG output formats for the Server
        * installer should close media players if installing/removing plugins for them
        * API enhanced

    New Features:
        * command line options galore!
        * Perlscript/python support

v1.41 Release
-------------

    Bugfixes:
        * new POP3 password encryption
        * fixed Rectangle graphic object glitch

v1.40 Release
-------------

    Bugfixes:
        * fixed memory leak with image ratio option
        * fixed peaking bug
        * fixed rare selection bug
        * fixed analog line width bug
        * fixed image path bug for Image graphic object

    Improvements:
        * updated AMPI plugins (kudos to Tropics)
        * file path displayed in config editor title
        * option to disable config outline
        * next/prev keys changed to pgdn/pgup to allow field tabbing
        * scrolling in the Tools and Settings area reduced by introducing more tabs
        * more uptime options
        * new sample config (cheers Em7)
        * password encryption for POP3 password
        * latest 4 config files in file menu
        * open folder in select config file menus

    New Features:
        * Vastly improved plugin interface
        * base width for analog meter

v1.31 Release
-------------

    Bugfixes:
        * fixed several issues with nested config folders

    Improvements:
        * Config Editor warns when overwriting config files
        * Updated AMPI media plugins (kudos to Tropics)

v1.30 Release
-------------

    Bugfixes:
        * fixed concurrency issues with SamurizeServer.exe
        * fixed Config Editor display bug in 800x600 resolution
        * uptime meter now allows longer than the previous 47-day limit
        * mouseover cursor uses system hand pointer

    Improvements:
        * relative paths for image filenames and textfile meters
        * improved handling for corrupt images
        * heaps more hotkeys
        * improved installer (remembers path, more configurable)
        * DTD/XML scema updated (some data missing)
        * additional command line options
        * a lot of code rewritten and improved

    New Features:
        * Maintain Aspect Ratio option for Image meter type
        * foobarv0.8 support for built-in foobar2000 meter
        * beginnings of the Samurize API

v1.25 Release
-------------

    Bugfixes:
        * "Fixed" cleartype font problems (disable text antialiasing to improve readablility)
        * fixed values not being saved when 'save' selected while component has keyboard focus

    Improvements:
        * Config Editor preferences - set default script editor
        * Custom offset for analog meters
        * Set font properties globally in Config Editor
        * Text/Graph meter antialiasing can be disabled
        * Permanent meter peaks option
        * JPEG,GIF,ICO,BMP image support
        * Alert action occurence option (Always/Once)
        * Custom "Hide Tray Icon" hotkey
        * Line graphic object redesigned
        * Updated media plugins (kudos to Tropics) - see SpectrumReadme.txt

    New Features:
        * Underline, strikethrough formatting for fonts
        * Cursor changes over hyperlinks
        * Thousand seperators for numbers
        * Text meter scrolling

v1.20 Release
-------------

    Bugfixes:
        * fixed PNG Meter image bug ('png')
        * "Track Resolution Changes" option removed (it wasn't helping)

    Improvements:
        * Updated media plugins (kudos to Tropics)
        * Improved vertical taskbar support
        * Default tab size increased
        * WindowsXP Look & Feel for Config Editor
        * Improved readme/installer
        * Multiple server instances allowed with different output settings
        * Configs can be organized in subfolders of the Samurize/Configs folder

    New Features:
        * Choose-Your-Own Tray Icon
        * Play sounds/perform commands on alert conditions
        * Line graphic object
        * Peaks for most meter types
        * Alert conditions for PNG Image Meters
        * Snap to screen edge option for Client
        * Word wrapping for Text meters

v1.16 Release
-------------

    Bugfixes:
        * fixed progressbar splitting glitch
        * fixed align bug in config editor
        * fixed script parameter listing bug
        * fixed Pin To Desktop + "Show Desktop" bug

    Improvements:
        * next/previous in Config Editor centers on meter
        * update option in Client/Taskbar/Server

v1.15 Release
-------------

    Bugfixes:
        * Winamp meter bugfixes for CD and streaming media

    Improvements:
        * copy/paste improvements
        * Resolution tracking behaviour of v1.1 is now optional
        * moving averages for histograms
        * text file lines increased to 100
        * version checking option in Config editor
        * Alpha level for PNG Image meter
        * Reduced CPU usage for PNG Image meter
        * ID3v2 tag support for inbuilt Winamp meter (+ more tags)

    New Features:
        * "Value contains" alert value
        * background for pie meters
        * graphs can be filled with a seperate color
        * WMP9, iTunes, Winamp5 plugins (thanks Tropics)

v1.1 Release
------------

    Bugfixes:
        * a couple of paste bugs fixed
        * commented functions are now not parameterised in the config editor
        * WMI language bug fixed
        * Pin to desktop bug fixed in the client
        * 1px clipping on left of text meters fixed
        * workaround for Windows multimonitor glitch with fullscreen apps

    Improvements:
        * string alert values now work
        * progressbar alert color alpha also affects the background color
        * fonts remembered in config editor
        * project interval rate can now be as low as 50ms (use with care!)
        * plugin meters changed to run at project update interval
        * multimonitor support for the config editor
        * ID3v1.1 tag support for Winamp meters (title, artist, album etc.)
        * navigation of meters in config editor via button presses
        * zooming in the config editor stays centered
        * %tab for tabs in text meters
        * better C++ plugin sample code (kudos to Tropics)
        * added media player plugins (again kudos to Tropics)

    New Features:
        * Server program
          - outputs Samurize data to XML or a PNG image
        * Screensaver (by Tropics)
          - works in conjunction with the Server program to display a config
            as a screensaver

v1.0.1 Release
--------------

    Bugfixes:
        * fixed language bug with taskbar
        * improved dyanamic PNGs rendering quality
        * copy/paste "Run more frequently" bug fixed
        * Select All bug fixed
        * Winamp meter bug fixed
        * fixed precision issues with meters

v1.0 Release
------------

    New Features:
        * Plugin meter
        * QCD meter
        * Config editor formatting options - alignment
        * Config editor merge command
        * PNG Image display type (dynamic - use with great care, can consume great CPU% if used too much)

    Bugfixes:
        * pie graphs, rounded rectangles & ellipses alignment fix
        * histogram 1-pixel shift bug fixed
        * WMI form resizing bug fixed
        * "Run every X min" translation bugfix
        * MBM farenheit bugfix
        * Zoom options not shown bug fixed
        * Fixed crashes caused by launching the client from a Dock app

    Improvements:

        * improved Winamp meter
        * DEFAULT_CHARSET for non-ascii languages
        * shift-resizing (preserving aspect ratio) in config editor
        * 1x1 pixel minimum meter size
        * X,Y, width,height for graphic objects
        * any single-click activates meter linkage
        * 24hr analog clock formatting option (%hh)
        * ActiveScripts more resilient to being configured wrong
        * Certain hotkeys prevented from being used (Caps Lock, Scroll Lock...)
        * Additional language fields (see LanguageChanges.txt)


Contact Details

Détails de contact
Website: http://www.samurize.com/
Forums: http://www.samurize.com/modules/ipboard/
Progammeurs de Samurize
 | Lee Wilson aka "NeM"
 | Lead Programmer / PHP Monkey
 | email: nem@samurize.com
 | icq: 18324316
 | Adrien Rochereau aka "Alderaic"
 | Programmer
 | email: alderaic@ratiatum.com
 | icq: 173174191
 | AdamC
 | Programmer
 | email: adamcoulthard81@hotmail.com
 | Tropics
 | Resident C++ programmer / Forum Moderator
 | email: samurize@only-tropics.de
 | Gustaf Lundh aka "Cure"
 | Founder
 | email: cure@samurize.com
 | icq: 18690077
 | Oscar lundh aka "Sim"
 | Founder
 | email: sim@samurize.com
 | icq: 18214860
Webmasters
 | Rowan Gillson aka "D0ktr_EvL"
 | Forum Moderator
 | email: r_gillson@hotmail.com
 | icq: 14895674
 | Matt Lestock aka "Chew"
 | Old Webhost Admin
 | email: matt@jmcomputers.com
 | icq: 20152696
 | Sven Andersson aka "SweetFish"
 | Founder/Old Webmaster
 | email: sweetfish@samurize.com
 | icq: 64250303
Modérateurs
 | Troels Müller aka "LimDul"
 | Forum Moderator / samurize.dk Admin
 | email: limdul@limdul.dk
 | icq: 153513920
 | Gramps aka "Q. Tews"
 | Forum Moderator
 | email: Q.Tews@samurize.com
 | icq: 25043322
 | Thorin
 | Forum Moderator
 | email: kingthorin@hotmail.com
 | Raiderman
 | Forum Moderator
 | email: Raiderman6u@hotmail.com
 | JyriK
 | Graphic God / Forum Moderator
 | email: jyri_kuparinen@hotmail.com
 | KMDonlon
 | Weather Freak / Forum Moderator
 | email: kmdonlon@samurize.com


End User Licence Agreement (EULA)

===================================
Serious Samurize Software Agreement
(EULA - End User Licence Agreement)
===================================

This document is a legal agreement ("Agreement") between you (an individual, group, business or entity) and the authors of this software, the Samurize Crew.

BY INSTALLING, COPYING OR OTHERWISE USING THE PRODUCT (AS DEFINED BELOW), YOU AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL, DISTRIBUTE OR USE THIS SOFTWARE.

The Software:

This software (Serious Samurize) is copyright 2003-2004 by Gustaf Lundh. It is free for personal use. If you wish to use this software in any business or commercial environment, for profit or not, we require that you make a donation of at least $US5 (five American dollars) to help cover our costs and give the Samurize Crew some compensation for their work.

Liability Statement:

Serious Samurize is provided as-is and is used at your own risk. Any information or statistics you get from this program may not be 100% correct so DO NOT RELY ON ANY VALUES THIS PROGRAM REPORTS. If in question, always suppose the values reported by the recommended software from your hardware vendor is correct.

This program was created with the best intentions to provide system information and more but we (the Samurize Crew) cannot be held responsible for any hardware, software or any other problems that may arise during the use of this software.

Distribution:

Provided that you specify that you are distributing this software as freeware, you are hereby licensed to make as many copies of this software and its documentation and it in its original, unmodified form via any means, electronic or otherwise. There is no charge for any of the above, but you must mention the donation requirement for commercial users as mentioned above.

However, you are prohibited from charging or requesting donations for any copies of this software, and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Further information:

Should you have any questions concerning this Agreement, or if you desire to contact the authors for any reason, please email one of the following people:

Lee Wilson nem@samurize.com or ldwilson@xtra.co.nz


Config Editor Overview

Aperçu de l'éditeur de configuration
L'éditeur de configuration est utilisé pour créer des configs pour le Desktop Client(Client.exe) , le Taskbar Client, ou le Serveur Samurize(Server.exe).

Les fichiers de configurations ont l'extension .ini et indique à Samurize où, quand et comment afficher les informations.

Les fichiers de configurations doivent être stockés dans le dossier Samurize/Configs.

Sans fichier de configuration, Samurize est vide de tout ... Heureusement, quelques uns sont fournis avec Samurize pour vous permettre de démarrer.

L'interface est divisée en 3 sections principales: La liste des contrôles, ou tous les contrôles et objects d'arrière-plan de la config sont listés et peuvent être sélectionnés, l'aire de dessin, où vous pouvez ajouter et manipuler les contrôles et les objets, et la section "Outils et Paramètres", où vous pouvez configurer les contr^les , les objets et la config elle-même.


Config Editor Main Menu & Toolbar

Editeur de configuration : menu et barre d'outils
Les pricipales commandes de l'éditeur de configuration sont disponibles depuis le menu principal et une barre d'outils.

Menu Fichier | Nouveau 1 | Efface l'aire de dessin pour la création d'une nouvelle config.
Ouvrir... 2 | Ouvre une config existante dans l'aire de dessin.
Fusionner... | Ouvre une config existante et l'ajoute à la config affichée dans l'aire de dessin.
Sauver 3 | Enregistre la config affichée dans l'aire de dessin.
Sauver sous... | Enregistre la config affichée dans l'aire de dessin dans un nouveau fichier.
Quitter... | Quitter l'éditeur de configuration.
Menu Edition | Couper 4 | Coupe (copie et efface) le contrôle sélectionné dans le presse-papier.
Copier 5 | Copie le contrôle sélectionné dans le presse-papier.
Coller 6 | Colle le contrôle disponible dans le presse-papier sur l'aire de dessin.
Effacer 7 | Efface les contrôles sélectionnés.
Sélectionner tout | Sélectionne tout les contrôles affichés sur l'aire de dessin
Préférences... | Ouvre la fenêtre de préférences de Samurize.
Menu Contrôles Aligner Aligne tout les contrôles sélectionnés.
  • Gauche - Aligne les contrôle à gauche
  • Centré - Aligne les contrôle au centre (horizontalement)
  • Droite - Aligne les contrôle à droite
  • Haut - Aligne les contrôle en haut
  • Milieu
    • - Aligne les contrôle au centre (verticalement)
  • Bas
    • - Aligne les contrôle en bas
Contrôle suivant 12 | Selectionne le contrôle suivant sur l'aire de dessin.
Contrôle précédent 13 | Selectionne le contrôle précédent sur l'aire de dessin.
Menu Test | Tester tout les plugins | Teste tout les plugins présents dans la config affichée dans l'aire de dessin.
Tester tout les scripts | Teste tout les scripts présents dans la config affichée dans l'aire de dessin.
Menu Langue | Selectionner la Langue | Permet de sélectionner la langue d'affichage de tout les cmposants de Samurize. Les fichiers de langue peuvent être téléchargés sur samurize.com et sont stockés dans le dossier Samurize/lang.
Menu Aide | Aide | Affiche ce fichier d'aide.
Tutorial en ligne | Ouvre la page "Samurize Tutorial pages" sur samurize.com.
Vérifier les mises à jour | Vérifie si une mise à jour de Samurize est disponible.
Site Web | Ouvre la page d'accueil de Samurize.com.
A propos | Affiche les informations de l'editeur de configuration.
Don | Ouvre la page Samurize PayPal Donation.
Autres boutons de la barre d'outils | Mettre en avant-plan 8 | Passe le contrôle sélectionné en avant-plan.
Mettre en avant 9 | Passe le contrôle sélectionné devant le contrôle qui le superpose.
Mettre en arrière 10 | Passe le contrôle sélectionné derrière le contrôle qu'il superpose.
Mettre en arrière-plan 11 | Passe le contrôle sélectionné en arrière-plan.

NOTE: Les contrôles ne peuvent pas être passés derrière un objet d'arrière-plan, et inversement.


The Design Area
L'aire de dessin est l'endroit de création de votre config mais aussi l'endroit ou vous pouvez avoir un aperçu du résultat. Vous pouvez manipuler, déplacer et redimensionner les contrôles et les objets d'arriere-plan pour créer votre config ou modifier des configs existantes. L'aire de dessin à la même taille que votre bureau tel qu'il est afiché sur votre écran.

Lorsque vous lancez l'éditeur de configuration , l'aire de dessin est vide tant que vous n'ajoutez pas de contrôles ou d'objets d'arriere-plan ou que vous n'ouvrez pas de config existante.

Vous pouvez ajouter des contrôles avec un click-droit dans l'aire de dessin ou en choisissant un contrôle dans la section "Outils et paramètres".

Les contrôles sont manipulables dans l'aire de dessin grâce à la souris. Le redimmensionnement d'un contrôle en appuyant sur la touche "Shift" permet de conserver les proportions du contrôle.

les touches de déplacement Gauche, Droite, Haut et Bas déplace le contrôle dans les directions respectives. Si la touche "Shift" est maintenue en même temps que les touches de déplacement, les contrôles ne sont pas déplacés , mais redimensionnés dans les mêmes conditions. Si la touche "Control" est maintenue en même temps que les touches de déplacement, les déplacements ou redimensionnements sont effectués sans tenir compte de la grille de l'aire de dessin. Cela permet d'effectuer des opérations précises.

De plus, plusieurs contrôles peuvent être sélectionnés en même temps en maintenant la touche "Control" enfoncée et en effectuant un click-gauche sur chaque contrôle à selectionner, ou en maintenant le clik-gauche et en sélectionnant les contrôles désirés.

L'aire de dessin dispose d'un bon nombre d'options pour vous assister lors de la création de votre config.

Option | Description
Taille de la grille (X x Y) | Si l'option "Aligner sur la grille" est activée, ces chiffres détermines le nombre de pixes entre chaque ligne ou colonne de la grille (Utile pour les déplacements ou redimensionnements de contrôles).
Aligner sur la grille | Si actif, les objets sont forcés en taille et en déplacement à s'aligner sur la grille. Sinon , les mouvements et redimensionnement sont totalement libres..
Zoom (%) | Permet de zoomer sur l'aire de dessin.
Utiliser une image de fond | Permet d'utiliser une image de fond a afficher dans l'aire de dessin (utile pour tester une config en appliquant en image de fond le fond d'écran du bureau).
Capture d'écran | Fait une capture de votre bureau en l'état et l'applique en fond de l'aire de dessin. Disponible uniquement si l'option "Utiliser une image de fond" est active.
Masquer le bureau | Affiche une/des aire(s) hachurée(s) sur l'aire de dessin, chacune représentant l'aire couverte par l'écran connecté à votre machine (utile pour le multi-moniteur).
Encadrer les contrôles | Encadre chaque contrôle ou objet d'arriere-plan en bleu pour les repérer. Permet
Afficher la configuration hors-ligne | i actif , encadre la config entière. si le cadre est vert, tout va bien. Si le cadre est rouge , votre config est trop grande (elle consommera trop de ressources) et un message d'avertissement est affiché dans la barre de status.
Couleur de l'aire de dessin | Change la couleur de fond de l'aire de dessin.

Astuce: Vous pouvez utiliser le raccourci Ctrl+S pour enregistrer rapidement votre config.


Adding Meters

Ajouter des contrôles
Les contrôles sont la base d'une config Samurize. Ils affichent tout genre de contenu dynamique, infos système en temps réel, entêtes de news, infos de lecteurs multimédias et plus encore ...

Pour ajouter un contrôle à votre config, cliquez sur le bouton "Ajouter un contrôle" , dans l'onglet "Editer le contrôle" , dans la section "Outils et paramètres", et selectionnez le contrôle que vous voulez ajouter .

Astuce : Vous pouvez aussi ajouter des contrôles avec un click-droit sur l'aire de dessin.
Aprés avoir ajouté le contrôle , il sera automatiquement sélectionné. La section "Outils et paramètres" , à droite de l'aire de dessin , proposera les options disponibles pour le contrôle selectionné.

Pour en savoir plus sur un contrôle particulier , cliquez le dans le menu sur l'image au-dessus .

Add Text Add Active Script Add Console Program Add Date/Time Add Drive Space Add Laptop Battery Add Memory Add Plugin Add Perfmon Add POP3 Add Text File Add Total Up/Down Add Uptime Add Windows Management Instrumentation (WMI) Add Hardware Status (MBM, Speedfan) Add Media (foobar2000, QCD, Winamp)


Common Meter Properties

Propriétés communes des contrôles
Tout les contrôles possèdent des propriétés qui definissent leur position à l'écran , comment ils seront affichés , et leur comportement. Elles sont affichées dans la section "Outils et paramètres" de l'éditeur de configuration , à l'onglet "Général" du contrôle sélectionné.

Nom du contrôle | Le nom du contrôle. Vous pouvez mettre ce que vous voulez. Utilisez un nom explicite afin de facilité les futures modifications de votre config.
Type de dessin | Comment sera affché le contrôle à l'écran. Pour plus d'informations sur les types de dessins , cliquez ici.
X/Y | Définit les coordonnées du coin Haut-Gauche , dans l'aire de dessin , du contrôle sélectionné.
Largeur/Hauteur | Définit les dimensions du contrôle selectionné en nombre de pixels.
Activer les alertes | Permet de gérer l'état du contrôle sélectionné selon qu'il est inférieur , égal ou supérieur à une valeur spécifiée (voir ci-dessous).
Afficher la valeur de crête | Permet d'afficher la valeur la plus haute du contrôle sélectionné (voir ci-dessous).
Taux de rafraîchissement (ms) | Permet de régler le taux de rafrapichissement du contrôle sélectionné. Notez qu'un taux de rafraîchissement plus petit ou égal à celui spécifié dans l'onglet "Options du Projet" n'aura aucun effet.
Propriété de l'alerte | Le contrôle exécute les actions spécifiées ou chagnge de couleur quand la condition est vérifiée.
 | Alerter quand... | Condition dans laquelle l'alerte sera activée.
 | Valeur | Valeur pour laquelle la condition d'alerte sera vérifiée.
 | Couleur Alerte | Couleur que prendra le contrôle si la condition d'alerte est vérifiée.
 | Alpha Blending | Valeur de transparence du contrôle si la condition d'alerte est vérifiée.
 | Jouer le son | Son joué (obligatoirement .wav) si la condition d'alerte est vérifiée.
 | Réaliser la commande | Commande à exécuter si la condition d'alerte est vérifiée.
 | Exécuter la commande | Une fois - le son/la commande est joué/exécutée une fois lorsque la condition d'alerte est vérifiée, et ne le rejoue/l'exécute plus jusqu'à ce que la condition d'alerte soit non-vérifiée puis vérifiée à nouveau. Toujours - le son/la commande est joué/exécutée en boucle tant que la condition d'alerte est vérifiée.
Propriétés de la crête | Le contrôle affiche une valeur de crête correspondant àla plus haute valeur rencontrée par le contrôle.
 | Crête permanente | Si actif , la valeur de crête est affichée en permanence jusqu'à ce qu'elle soit dépassée à nouveau.
 | Durée de la crête (ms) | Si la crête permanente est désactivée, la valeur de crête est affichée pour l'intervalle specifié puis est réinitialisée.
 | Couleur de la crête | Couleur d'affichage de la crête.
 | Alpha Blending | Valeur de transparence de la crête.


Meter Display Types

Types d'affichage des contrôles
Le type d'affichage d'un contrôle détermine la façon dont il va afficher ses informations.

Les options pour letype d'affichage sélectionné sont visibles à l'onglet "Affichage".

Texte | Valeur de sortie du contrôle : texte.
 | Texte: | Le texte à afficher. "%v" représente la valeur du contrôle - vous pouvez ajouter du texte avant ou après la valeur "%v".
 | # de Décimales | Nombre de décimales pour arrondir la valeur du contrôle. Cette option n'a pas d'effet si la valeur du contrôle n'est pas numérique.
 | Min de chiffres significatifs | Nombre minimal de chiffres à afficher avant la décimale. Ceci permet d'ajouter des zéros devant un nombre afin de le formater. Cette option n'a pas d'effet si la valeur du contrôle n'est pas numérique.
 | Cadrage Horizontal | Détermine l'alignement horizontal du texte.
 | Cadrage Vertical | Détermine l'alignement vertical du texte.
 | Utiliser un séparateur pour les milliers | Si actif , les valeurs numériques sont séparées à chaque milliers. Cette option n'a pas d'effet si la valeur du contrôle n'est pas numérique.
 | Retour à la ligne | Si actif , ajoute un retour à la ligne à l'endroit ou le texte depasse la largeur du contrôle.
 | Couper le texte | Si actif , coupe le texte à l'endroit ou il dépasse la largeur du contrôle et ajoute (…) à la fin.
 | Défilement | Si actif , fais défiler le texte à partir de l'endroit ou il dépasse la largeur du contrôle.
 | Sens du défilement | Sens du défilement si défilement il y a.
 | Séparateur | Définit le caractère de séparation entre le début et la fin du texte lorsque le défilement est actif.
 | Intervalle de défilement (ms) | Définit l'intervalle en millisecondes entre chaque apparition de caractère lorsque le défilement est actif.
 | Interligne | Nombre de pixels qui séparent chaque ligne du texte.
 | Taille de Tabulation | Taille en pixels des tabulations si le texte du contrôle en comporte.
 | Souligné | Si actif , le texte est affiché souligné.
 | Barré | Si actif , le texte est affiché barré.
 | Lissage | permet d'activer ou non l'antialiasing du texte.
 | Alpha Blending | Valeur de transparence du texte.
 | Choisir la police | Permet de choisir la police , sa taille , et son style.
 | Choisir la couleur | Permet de choisir la couleur du texte.
 | Appliquer à tous les contrôles texte | Permet d'appliquer la police , son style , sa taille et sa couleur à tout les contrôles dont le type d'affichage est défini sur "texte".
Graphique | Valeur de sortie du contrôle : graphique linéaire.
 | Valeur Min | Valeur minimum affichée par le graphique.
 | Valeur Max | Valeur maximum affichée par le graphique.
 | Durée de l'historique | Nombre d'updates stockées et affichées par le graphique.
 | Moyenne | Si actif , la valeur affichée est une moyenne du nombre de valeurs spécifiées.
 | Alpha Blending | Valeur de transparence du graphique.
 | Couleur | Permet de sélectionner la couleur du graphique.
 | Remplissage | Si actif , la partie sous la ligne du graphique bénéficie des propriétés de couleur et de transparence du contrôle.
 | Inverser | Si actif , le graphique est inversé verticalement.
 | Renverser | Si actif , le graphique est inversé horizontalement.
 | Lissage | Permet d'activer ou non 'antialiasing du graphique.
Barre de progression | Valeur de sortie du contrôle : barre de progression.
 | Horizontal/Vertical | Spécifie l'orientation de la barre de progression.
 | Renverser | Si actif , la barre est inversée selon son orientation.
 | Valeur Min | Valeur minimum affichée par la barre de progression.
 | Valeur Max | Valeur maximum affichée par la barre de progression.
 | Espacement | When enabled, the progressbar is split up into portions of a specified pixel width/percentage of the whole meter.
 | Transparence début | Valeur de transparence de début de la barre de progression.
 | Transparence fin | Valeur de transparence de fin de la barre de progression.
 | Couleur début | Sélectionner la couleur de début de la barre de progression.
 | Couleur fin | Sélectionner la couleur de fin de la barre de progression.
 | Fond | Si actif , la barre de progression est remplie par la couleur et la transparence spécifiée
 | Valeur de test (%) | Permetde spécifier la valeur de pourcentage pour laquelle la barre de progression sera pleine.
Histogramme | Valeur de sortie du contrôle : histogramme.
 | Valeur Min | Valeur minimum affichée par l'histogramme.
 | Valeur Max | Valeur maximum affichée par l'histogramme.
 | Longueur de l'historique | Nombre d'updates stockées et affichées par l'histogramme.
 | Moyenne | Si actif , la valeur affichée est une moyenne du nombre de valeurs spécifiées.
 | Alpha Blending | Valeur de transparence de l'histogramme.
 | Couleur | Permet de sélectionner la couleur de l'histogram.
 | Utiliser espacement | Si actif , les barres de l'histogramme sont espacées.
 | Inverser | Si actif , l'histogramme est inversé verticalement.
 | Renverser | Si actif , l'histogramme est inversé horizontalement.
Analogique | Valeur de sortie du contrôle : pointeur analogique.
 | Type de pointeur | Détermine le type de pointeur.
 | Valeur Min | Valeur minimum affichée par le pointeur.
 | Valeur Max | Valeur maximum affichée par le pointeur.
 | Epaisseur de la ligne | Détermine l'épaisseur du pointeur.
 | Base avec % | Détermine l'épaisseur de la base du pointeur (% du diamètre du pointeur). Non actif pour le type de pointeur ligne.
 | Angle de départ | Détermine l'angle de départ du pointeur.
 | Balayage | Détermine la plage angulaire dans laquelle le pointeur balayera selon ses valeurs min et max (une valeur de 360° fait un cercle complet).
 | Valeur de test (%) | Détermine la valeur (en %) pour laquelle le pointeur atteindra sa valeur max.
 | Offset % | Détermine lla position de départ du pointeur (% de sa longueur).
 | Alpha début | Valeur de transparence de début du pointeur.
 | Couleur début | Couleur de début du pointeur.
 | Alpha fin | Si actif , valeur de transparence de fin du pointeur.
 | Couleur Fin | Couleur de fin du pointeur.
Camembert | Valeur de sortie du contrôle : graphique de type camembert.
 | Valeur Min | Valeur minimum affichée par le graphique.
 | Valeur Max | Valeur maximum affichée par le graphique.
 | Angle de départ | Angle de départ du graphique.
 | Balayage | Détermine la plage angulaire dans laquelle le graphique balayera selon ses valeurs min et max (une valeur de 360° fait un cercle complet).
 | Rayon intérieur % | Détermine le rayon intérieur du graphique (% du rayon total). Effet beignet garanti.
 | Valeur de test (%) | Détermine la valeur (en %) pour laquelle le graphique atteindra sa valeur max.
 | Couleur | Couleur du graphique.
 | Alpha | Valeur de transparence du graphique.
 | Couleur de fond | Si actif , le graphique est remplie avec la transparence et la couleur de fond spécifiée.
Image | Affiche une image. Le chemin de l'image est défini par la valeur du contrôle. Exemple , un contrôle retournant le texte C:\pics\mypic.png devrait afficher cette image. Si l'image change le contrôle réactualisera l'affichage avec la nouvelle image (différent de Image d'arrière plan).
 | Path | Chemin de l'image. "%v" correspond à la valeur du contrôle. Si "%v" ne correspond pas à un chemin , rien n'est affiché ou le chemin par défaut est utilisé.
 | Alpha maître | Valeur de transparence de l'image.
 | Réinitialiser la taille | Réinitialiser la taille de l'image (ne fonctionne pas si l'option "Conseerver le ratio" est active).
 | Type de redimenssionnement | Si "Etirer" , l'image redimenssionnée aux mêmes dimensions que le contrôle. Si "Rogner" , l'image est tronquée si elle est plus grande que le contrôle.
 | Conserver le ratio | Le rapport Hauter/Largeur de l'image est conservé , même en cas de redimenssionement ou de changement de l'image.
 | Utiliser l'image par défaut | Si actif , ce chemin sera utilisé au cas ou le chemin renvoyé parle contrôle serait invalide.
 | Un seul cycle | Si actif , spécifie le nombre de fois que les animations gifs sont répétées.
 | Stopper sur la 1ere image | Si actif , les animations s'arrêtent sur leur p^remier image après les cycles de répétitions.
Plugin Visuel | La valeur du contrôle est passée à un plugin visuel qui affiche lui-même le résultat. Des plugins visuels peuvent être téléchargés sur samurize.com .
 | Select Plugin: | Permet de selectionner le plugin visuel.
 | Configurer... | Permet de configurer les options du plugin visuel.
 | A propos du Plugin... | Permet d'afficher les informations disponibles sur le plugin (auteur , date de création...).


Meter Types

Type de contrôles
Le type de contrôle détermine les informations qu'il affichera.

Les options de chaque type de contrôle sont disponibles à l'onglet 'Source'.
Texte | Un simple texte statique. Pas d'option disponible pour ce type de contrôle.
Script | Affiche un texte retourné par une fonction VBscript ou Javascript. Les scripts doivent être dans le dossier Samurize/Scripts.
 | Selectionner le Script | Selectionner le script désiré.
 | Selectionner la fonction | Choisir la fonction à exécuter dans le script sélectionné .
 | Exécuter toutes les X min/sec | Intervalle d'exécution de la fonction choisie. Il est recommandé de ne pas descendre en dessous de 3 minutes. (question de ressources)
 | Tester le Script | Permet de tester la fonction choisie. Le résultat sera affiché dans l'aire de dessin.
 | Exécuter le plus souvent possible | La fonction choisie sera exécutée le plus souvent possible. ATTENTION: cette option va consommer beaucoup de ressources processeur. A utiliser avec prudence!
 | Changer Paramètres | Editer les paramètres de la fonction choisie (s'il y en a). (Voir la documentation du script utilisé). Les paramètres sont visibles dans la Boite de Paramètres.
 | Editer le Script | Ouvre le script dans le Notepad pour l'édition et la modification. Vous pouvez changer l'éditeur par défaut (Notepad) dans la fenêtre de Préférences (Menu Edition -> Préférences).
Programme console | Renvoie la sortie d'un programme console ou d'une commande DOS.
 | Ligne de commande | Le programme/la commande à exécuter (avec les paramètres si besoin).
 | Tester la commande | Tester le programme/la commande.
 | lancer toutes les X minutes | Intervalle d'exécution du programme/de la commande.
Date/heure | Affiche la date et/ou l'heure dans le format voulu.
 | Format | Format d'affichage de la date et/ou de l'heure. Voir le Guide des formats Date/Heure pour informations (ou cliquez sur le bouton "?" à droite de Format).
 | Adjuster heure | Permet d'ajuster l'heure pour d'autres zones du mone (par exemple).
Espace disque | Affiche les informations de capacité et d'usage de disques locaux ou réseaux en unités diverses (%, Mo, Go ...).
 | Choisir le disque | Choisir le disque dont on veut afficher l'information.
 | Valeur à afficher | Choisir la valeur à afficher (espace libre, utilisé, total).
 | Unité | Choisir l'unité d'affichage (%, KiloBytes, MegaBytes, GigaBytes, TeraBytes).
Batterie | Afficher le % de charge d'une batteire.
Mémoire | Afiiche l'espace libre/utilisé/total de la mémoire en unités diverses (%, Ko ,Mo ...).
 | Type de mémoire | Choisir le type de mémoire (RAM, virtuelle, ...).
 | Valeur à afficher | Choisir la valeur à afficher (espace libre, utilisé, total).
 | Unité | Choisir l'unité d'affichage (%, Bytes, KiloBytes, MegaBytes, GigaBytes).
Plugin | Affiche un texte retourné par un plugin Samurize. Le plugin doit se trouver dans le dossier Samurize/Plugins.
 | Selectionner un plugin | Choisir le plugin.
 | Configurer | Configurer le plugin (si nécessaire).
 | Paramètres Globaux | Configurer les paramètres globaux du plugin (si nécessaire).
 | A propos du plugin | Afficher des informations sur le plugin (auteur, date de création ...).
 | Fonction à exécuter | Choisir la fonction du plugin à exécuter.
 | Tester le plugin | Permet de tester la fonction choisie. Le résultat est affiché dans l'aire de dessin.
 | Changer les paramètres | Editer les paramètres de la fonction choisie (s'il y en a). (Voir la documentation du plugin utilisé). Les paramètres sont visibles dans la Boite de Paramètres.
Compteur de Performance | Les compteurs de performances sont gérés directement par le système d'exploitation (windows) et renvoient des informations sur certains composants du système (processeur , réseau ...).
 | Changer le Compteur | Choisir le conmpteur dont le contrôle affichera la valeur.
 | Configurer la valeur transmise | Permet de choisir l'unité dans laquelle la valeur sera affichée.
 | Convertir de/à | Permet de convertir l'unité d'origine de la valeur dans une autre unité.
Compte mail POP3 | Affiche le nombre de mails d'un compte POP3 défini. Contacter votre FAI pour en savoir plus sur les options demandées.
 | Serveur de courrier | Entrer l'adresse du serveur Mail que vous voulez contrôler.
 | Port | Entrer le port du serveur de courrier (habituellement 110).
 | Utilisateur | Nom d'utilisateur du compte POP3 à contrôler.
 | Mot de passe | Mot de passe du compte POP3 à contrôler.
 | Exécuter toutes les X min | Intervalle de vérification des nouveaux mails sur le compte POP3 spécifié.
 | Vérifier les nouveaux mails | Permet de vérifier les nouveaux mails sur le compte POP3 spécifié (utilisé pour tester les paramètres du compte POP3).
Fichier texte | Affiche le nombre de ligne défini d'un texte donné. Le résultat est automatiquement rafraichi si le fichier ou sa taille change.
 | Fichier texte à lire | Choisir le fichier texte à afficher.
 | Lire ligne | Ligne à partir de laquelle le contrôle doit commencer à lire le fichier.
 | Nombre de Lignes | Nombre de lignes à lire dans le fichier.
 | Lire du début/de la fin | Choisir le sens de lecture du ficher (Haut->Bas,Bas->Haut).
 | Forcer la mise à jour chaque fois. | Force le contrôle à recharger le fichier à chaque lecture.
Total envoyé/reçu | Affiche le traffic Envoyés/Reçus au travers d'une interface réseaux.
 | Réseaux: | Choisir l'interface réseau (NIC) dont on veut afficher le traffic.
 | Valeur à afficher | Choisir la valeur à afficher(Envoyés, Reçus).
 | Unité | Choisir l'unité d'affichage de la valeur.
 | Remise à 0 au redémarrage | Si actif , les compteurs sont remis à zéro à chaque redémarrage de l'ordinateur.
Temps écoulé | Affiche le temps d'exécution du système.
 | Format | Choisir le format d'affichage du contrôle.
WMI | Les contrôles WMI (Windows Management Instrumentation) affichent des informations à propos du hardware, du système d'exploitation et plus encore. (version de windows , vitesse du processeur, nom de la carte graphique ...).
 | Changer les paramètres | Choisir la classe , l'instance et les propriétés du contrôle WMI dont vous voulez la valeur.
 | Exécuter toutes les X min/sec | Intervalle d'exécution du contrôle.
 | Exécuter plus souvent | Si actif , le contrôle est exécuté le plus souvent possible. ATTENTION: cette option va consommer beaucoup de ressources processeur. A utiliser avec prudence!
 | Configurer la valeur transmise | Permet de choisir l'unité dans laquelle la valeur sera affichée.
 | Convertir de/à | Permet de convertir l'unité d'origine de la valeur dans une autre unité.
Infos matériel | Affiche les températures , les vitesses de rotation des ventilateurs, etc. données par les application MotherBoard Monitor (MBM) et/ou Speedfan. Ilfaut installer MotherBoard Monitor et/ou Speedfan et les configurer correctement pour permettre au contrôle d'afficher des valeurs correctes.
 | Type de capteur | Choisir le type de capteur dont on veut afficher la valeur. (Pour Speedfan)
 | Sonde | Numéro de la sonde à afficher.
 | Celsius/Fahrenheit | Choix de l'unité d'affichage des températures.
Media | Affiche des informations sur le média actuellement joué par divers lecteurs multimédia.*
 | Foobar | Affiche le titre (nom de la piste , nom de l'artiste, etc) depuis foobar2000. Vous pouvez changer l'affichage en configurant les préférences d'affichage dans foobar2000.
 | QCD | Affiche des infos sur le média joué par Quintessential Player (QCD).
 | Winamp | Affiche des infos sur le média actuellement joué par Winamp. Les infos affichées sont déterminées par le champ "Format". Voir le Guide des formats Winamp pour plus d'infos (ou cliquez sur le bouton "?" à droite de "Format")
* Pour plus d'informations sur les lecteurs multimédia, voir le plugin AdvancedMediaPlayer de Tropics (inclus dans la distribution Samurize). Lisez le fichier MultimediaReadme.txt présent dans le dossier Samurize.


Input Actions

Actions d'entrée
On peut configurer des actions d'entrées sur les contrôles afin que Samurize réagisse à la souris. Pour l'instant , 8 actions par contrôle sont disponibles pour interagir sur la config avec la souris.

Propriété de l'entrée | Select the Action you would like to enable for this meter from this menu.
 | Click bouton gauche | Action à exécuter lorsqu'un click gauche est effectué sur le contrôle.
 | Click bouton du milieu | Action à exécuter lorsqu'un click milieu est effectué sur le contrôle.
 | Click bouton droit | Action à exécuter lorsqu'un click droit est effectué sur le contrôle.
 | Survol de la souris | Action à exécuter chaque fois que la souris passe au-dessus du contrôle.
 | Souris en dehors | Action à exécuter chaque fois que la souris est en dehors du contrôle.
 | Souris entre dans la Config | Action à exécuter lorsque la souris rentre dans l'aire de la config.
 | Souris quitte la Config | Action à exécuter lorsque la souris quitte l'aire de la config.
 | Glisser/Déposer | Autorise l'utilisateur à Glisser/Déposer des informations sur le contrôle.L'information peut alors être récupérée dans la variable "%fn" pour être affichée ou traitée.
Sélectionner le type d'action | Menu permettant la sélection de l'acction executée pour ce contrôle.
 | Sélectionner le type d'action | Certains type d'actions sont disponibles selon le type d'action de la souris. Par exemple, L'action InfoBulle est disponible uniquement pour "Survol de la souris". Les plugins visuels sont disponibles pour tout type d'action.
 | Supprimer l'action | Permet de supprimer l'action définie.
Propriété de l'entrée de la souris | Permet à samurize de gérer les cliks de souris.
 | Lier le contrôle à: | La commande à exécuter lorsqu'un click est effectué sur le contrôle. "%v" (valeur du meter) peut être utilisé.
Gestion des infobulles | Affichage des infobulles au survol de la souris.
 | Texte de l'infobulle | Texte affiché dans l'infobulle. "%v" (valeur du contrôlr) peut être utilisé. "%b" (retour à la ligne) peut être utilisé. "%tab" (tabulation) peut être utilisé.
 | Type d'infobulle | Sélection du type d'infobulle standard ou ballon.
 | Longueur de l'infobulle | Longueur de la ligne de texte de l'infobulle (en pixels).
Propriétés du plugin visuel | Gestion d'un plugin visuel pour l'action. Le plugin doit être dans le dossier Samurize/Plugins.
 | Sélectionner le plugin | Sélection du plugin. NB: Tous les plugins de votre dossier Samurize/Plugins ne seront pas disponibles ici. L'auteur du plugin doit informer Samurize du support de cette action.
 | Configure... | Permet de configurer le plugin sélectionné.

Il est à noter que lorsque 2 contrôles ayant des actions autorisées se chevauchent, un action dans l'espace de chevauchement sera exécutée sur les 2 contrôles en même temps.


Edit Graphics

Editer les graphiques
Samurize supporte un nombre d'objets graphiques statiques (objets d'arrière-plan) pouvants être utilisés en fond dans une config. Ils sont dits "statiques" car ils ne sont chargés qu'au démarrage de samurize.

Notez que les Objets d'arrière-plan ne peuvent pas être placés au-dessus d'un contrôle.Pour ajouter un objet d'arrière-plan dans une config, Cliquez sur le bouton "Ajouter un objet en arrière plan" et sélectionnez l'objet désiré.
Aprés avoir ajouté l'objet , il sera automatiquement sélectionné. la section "Outils et paramètres" , à droite de l'aire de dessin affichera les options de l'objet sélectionné.

Propriétés de la forme | Propriétés générale pour tout les objets d'arrière-plan. (sauf les images)
 | Remplissage | Si actif , l'objet sera rempli avec la transparence et la couleur spécifiée.
 | Couleur | Permet de sélectionner la couleur de l'objet.
 | Alpha blending | Valeur de transparence de l'objet.
 | X/Y | Coordonnées du coin Haut/Gauche de l'ojet dans la config.
 | Largeur/Hauteur | Dimensions de l'objet.
 | Rondeur | Degé d'arrondi des coins d'un rectangle. (valable uniquement pour les objets Rectangle-arrondi)
Propriétés de l'image | Propriétés des objets images. La transparence des GIF, PNG 32-bit et ICO est supportée. *
 | Nom de l'image | Nom de l'image (chemin complet).
 | Alpha | Valeur de transparence de l'image.
 | X/Y | Coordonnées du coin Haut/Gauche de l'image dans la config.
 | Largeur/Hauteur | Dimensions de l'image.
 | Initialiser la taille | Réinitialisation de la taille de l'image.
Propriétés de ligne | Propriétés supplémentaires pour les lignes.
 | Angle | Angle d'inclinaison de la ligne.
 | Largeur de ligne | Epaisseur de la ligne (en pixels).

* Notez que les objets d'arrière-plan de type "Image" sont statiques - ils ne sont pas réactualisés si l'image change. Si vous voulez une image dynamique (ou si vous voulez placer une image par dessus un contrôle), utilisez un Contrôle Texte dont le Type de dessin est défini à "Image" et assignez lui une image par défaut.


Project Options

Options du projet
L'onglet "Options du projet" contient les options générales de la config affichée dans l'aire de dessin.
Nom du projet | Entrer le nom de votre projet.
Afficher l'intervalle de mise à jour (ms) | Spécifer l'intervalle de rafraîchissement de la config.
Paramètres de fondu | Permet d'appliquer un effet de fondu sur une config. ON: fondu à chaque appartion/disparition de la config. OFF: aucun effet de fondu. Au démarrage: effet de fondu seulement au démarrage de la config.
Durée FadeIn/Out (ms) | Spécifie la durée de l'effet de fondu.
Priorités des ressources | Fixe la priorité du processus client.exe par rapport aux autres processus tournant sur la machine. ATTENTION: Fixer la priorité au dessus de NORMAL peut affecter la puissance de votre machine.
Démarrer MBM au lancement | Si MotherBoardMonitor (MBM) est installé et configuré, vous pouvez démarrer automatiquement le service MBM I/O au chargement de la config, sans pour autant lancer l'application MBM.
Changer le curseur sur les contrôles liés | Si actif, le pointeur de la souris passe de la flèche à la main au survol d'un contrôle ayant des actions autorisées.
Afficher l'icone dans la zone de notification | Affiche ou cache l'icone de samurize dans le systray au chargement de la config.
Sélectionner l'icone systray | Permet de sélectionner l'icone (obligatoirement ".ico") affichée dans le systray. Cette option est inactive si l'option Afficher l'icone dans la zone de notification est désactivée.
Définir les raccourcis clavier | Permet de configurer les raccourcis clavier selon que la config est lancée depuis le client Samurize , le serveur Samurize , ou le TaskBar Client. Notez que certains raccourcis clavier ne sont pas appliqués dans tout les cas. (eg. Le raccourci "Affiche/Cache l'icone du systray" ne fonctionne pas pour le Taskbar client).


Config Editor Preferences

Préférences de l'éditeur de configuration
La fenêtre des préférences est accessible via le menu Editiondit->Préférences.
Onglet Général | Options générales de l'éditeur de configuration.
 | Editeur de scripts | Entrez le nom de l'application que vous souhaitez utiliser pour éditer les scripts depuis l'éditeur de configuration.
 | Editeur d'images | Entrez le nom de l'application que vous souhaitez utiliser pour éditer les images depuis l'éditeur de configuration.
 | Default Zoom Level | Niveau de zoom par défaut de l'aire de desin.
Onglet Contrôles | Options par défault et générales des contrôles.
 | Police par défaut | Spécifier la police par défaut utilisée lors de la création d'un nouveau contrôle (police, taille, style, et couleur).
 | Lancer les Scripts/Plugins au chargement de la configuration | Si actif , permet d'exécuter tous les scripts/plugins contenu dans la config lors de son démarrage.
 | Lissage des images zoomées/étirées | Active ou non l'antialiasing des images lorsque celles-ci sont zoomées ou étirées ou lorsque l'aire de dessin n'a pas le zoom 100%.
 | Utiliser un serveur Proxy pour les scripts/plugins | Si actif , spécifie un serveur proxy pour l'accés au net des scripts et plugins. NOTE: Script/plugins doivent être codés pour supporter l'accés au net par proxy, Dans le cas contraire , cette option n'aura aucun effet.


Desktop Client Overview

Aperçu du Client Desktop (Client.exe)
Le Desktop Client (Client.exe, ou le raccourci 'Samurize' dans le menu Démarrer/Samurize) affiche un fichier de configuration sur votre bureau. Lorsque vous lancez le Desktop Client pour la première fois , rien ne s'affiche sur votre bureau. Mais une icone, un "S" sur fond gris, est affiché dans la zone de notification. Lorsque vous faites un click-droit sur cette icone, le menu pop-up suivant apparaît:
Sélectionner la configuration | Permet de choisir le fichier de configuration que vous désirez afficher à l'écran. Rapellez vous ce fichier est stocké dans le dossier Samurize\Configs (C:\Program Files\Samurize\Configs par défaut).
Recharger la configuration | Aprés avoir modifié votre config dans l'éditeur de configuration, utilisez cette option pour recharger (réactualiser) votre config.
Editer la configuration... | Ouvre le fichier de configuration courant dans l'éditeur de configuration.
Lancer au démarrage | Lancer le client avec ce fichier de configuration au démarrage.
Gestionnaire d'instances | Exécute le gestionnaire d'instances (InstanceManager.exe)
Position | Toujours au-dessus | La config sera affichée au-dessus des autres fenêtres.
 | Attaché au bureau | La config sera affichée sous toutes les fenêtres , collée au bureau, mais au-dessus des icones du bureau. Avec ce mode la config sera affichée avec un click sur le bouton "Afficher le bureau" , mais peut causer quelques problèmes avec les multi-moniteur.
 | Fixer au bureau (mode de compatibilité) | La config sera affichée sous toutes les fenêtres , collée au bureau, mais au-dessus des icones du bureau. Avec ce mode la config ne sera pas affichée avec un click sur le bouton "Afficher le bureau" , mais fonctionne correctement avec les multi-moniteur.
 | Comportement Nomal (Fenêtre classique) | La config fonctionne comme une fenêtre normale; Vous pouvez la déplacer sur le bureau comme toute autre fenêtre.
 | Position vérouillée | Vérouille la position de la config sur le bureau. Elle ne pourra plus être déplacée
 | Cliquer à travers | Si actif , igonre les clicks à l'intérieur de la config.
 | Utiliser la position déssinée | La config est affichée à la même position que dans l'aire de dessin de l'éditeur de configuration.
 | Fixer aux bords de l'écran | Si actif , la config est collée aux bords de l'écran lorsqu'elle est déplacées vers ceux-ci.
 | Fixer aux autres clients | Si actif , la config est collée aux autres clients actifs (s'il y en a) lorsqu'elle est déplacée vers ceux-ci.
Pause | Si actif , les rafraîchissements de la config ne se font plus.
Information sur le client | Nom de l'instance | Nom de l'instance actuellement lancée par le client (utile quand plusieurs Clients/Configs sont lancés).
 | Nom de la configuration | Nom du fichier de configuration actuellement affiché.
A propos | Affiche des informations sur la version du client Samurize.
Langue | Permet de changer la langue d'affichage des différentes interfaces de Samurize. Les fichiers de langue peuvent être téléchargés sur samurize.com et sont stockés dans le dossier Samurize/lang.
Vérifier les mises à jour | Vérifie s'il existe une version plus récente de Samurize que celle que vous utilisez.
Quitter | Ferme le client courant.

Un click-gauche sur l'icone du systray permet de cacher la config et de la mettre en pause (Ideal pour lancer un jeu vidéo!)


Desktop Client Instances

Instances de Client.exe
Vous pouvez lancer plusieurs instances de Client.exe pour afficher plusieurs configs sur votre bureau. De ce fait, l'instance "défaut" peut afficher une seule config.

La solution est d'utiliser plusieurs noms d'instances différents. Client.exe accepte un paramètre lui indiquant le nom de l'instance qui doit être lancée. Chaque instance peut pointer vers une config différente, ainsi , vous pouvez créer un nombre illimité d'instances , chacunes pointant vers une config différente.

Voici un petit guide pour créer 2 instances:

  1. Créez 2 configs. Pour faire simple , on les appelera 'Une.ini' et 'Deux.ini'.

  2. Créez 2 raccourcis sur votre bureau pour Client.exe. Nommez le premier "Config 1" et affectez lui la cible suivante:

    "C:\Program Files\Samurize\Client.exe" i=config1
    Nommez le second "Config 2" et affectez lui la cible suivante:

    "C:\Program Files\Samurize\Client.exe" i=config2
    (Si votre dossier d'installation de samurize n'est pas "C:\Program Files\" , modifiez en conséquence)

  3. Double-cliquez sur le raccourci "Config 1" et faites un click-droit sur l'icone dans le systray.. Choisissez Un.ini à la ligne "Sélectionner la configuration" du menu pop-up.

  4. Double-cliquez sur le raccourci "Config 2" et faites un click-droit sur l'icone dans le systray.. Choisissez Deux.ini à la ligne "Sélectionner la configuration" du menu pop-up.

  5. Maintenant , le raccourci "Config 1" lancera la config Un.ini, et le raccourci "Config 2" lancera la config Deux.ini".
Pour créer plus d'instances , répétez l'opération à votre convenance ;)

NOTE: Samurize v1.50+ nécessite la spécification d'un nom d'instance pour lancer plusieurs "Client.exe". Lancer plusieurs fois la même instance n'a aucun effet; Par contre, N'importe quel argument de ligne de commande peut être appliqué à une instance déjà lancée.


Taskbar Client Overview

Aperçu du Taskbar Client
Le Taskbar Client (Client "barre de tâches") permet d'afficher une config dans la barre de tâche de Windows. Aprés avoir installé Samurize et redémarré votre pc, vous pouvez activer le Taskbar Client avec un click-droit sur la barre des tâches et en cochant "Barres d'outils -> Serious Samurize". 'Serious Samurize vX.XX' devrait apparaître dans votre barre des tâches. Lorsque vous fautes un clik-droit juste à droite de ce texte, (ou sur la config s'il y en a une de chargée), le menu pop-up suivant apparaît:
Sélectionner la configuration | Permet de choisir le fichier de configuration que vous désirez afficher à l'écran. Rapellez vous ce fichier est stocké dans le dossier Samurize\Configs (C:\Program Files\Samurize\Configs par défaut).
Recharger la configuration | Aprés avoir modifié votre config dans l'éditeur de configuration, utilisez cette option pour recharger (réactualiser) votre config.
Editer la configuration... | Ouvre le fichier de configuration courant dans l'éditeur de configuration.
Gestionnaire d'instances | Exécute le gestionnaire d'instances (InstanceManager.exe)
Libre | Si vous avez du mal à positionner la config dans la barre des tâches , cette option devrait vous aider.
Pause | Si actif , les rafraîchissements de la config ne se font plus.
Information du client | Nom de la configuration: | Nom du fichier de configuration actuellement affiché.
A propos | Affiche des informations sur la version du Client Samurize.
Langue | Permet de changer la langue d'affichage des différentes interfaces de Samurize. Les fichiers de langue peuvent être téléchargés sur samurize.com et sont stockés dans le dossier Samurize/lang.
Vérifier les mises à jour | Vérifie s'il existe une version plus récente de Samurize que celle que vous utilisez.
Quitter | Ferme le client courant.

Le Taskbar Client peut être déplacé et caché comme tout autre élément de la barre des tâches. Pour le désactiver , dévérouillez votre barre des tâches, faites un click-droit sur celle-ci , et décochez "Barres d'outils -> Serious Samurize".


Samurize Server Overview

Aperçu du Serveur Samurize
Le Serveur Samurize (SamurizeServer.exe, ou le raccourci 'Server' dans le menu Démarrer/Samurize) retourne un fichier de configuration dans différents format pour être distribués sur le web. Lorsque vous lancez le serveur pour la première fois , rien ne s'affiche sur votre bureau. Mais une icone, un "S" sur fond bleu, est affiché dans la zone de notification. Lorsque vous faites un click-droit sur cette icone, le menu pop-up suivant apparaît:
Sélectionner la configuration | Permet de choisir le fichier de configuration que vous désirez afficher à l'écran. Rapellez vous ce fichier est stocké dans le dossier Samurize\Configs (C:\Program Files\Samurize\Configs par défaut).
Recharger la configuration | Aprés avoir modifié votre config dans l'éditeur de configuration, utilisez cette option pour recharger (réactualiser) votre config.
Editer la configuration... | Ouvre le fichier de configuration courant dans l'éditeur de configuration.
Lancer au démarrage | Lancer le serveur avec ce fichier de configuration au démarrage.
Gestionnaire d'instances | Exécute le gestionnaire d'instances (InstanceManager.exe)
Pause | Si actif , les rafraîchissements de la config ne se font plus.
Information du serveur | Nom de l'instance | Nom de l'instance actuellement lancée par le serveur (utile quand plusieurs Serveurs/Configs sont lancés).
 | Nom de la configuration | Nom du fichier de configuration actuellement affiché.
A propos | Affiche des informations sur la version du Serveur Samurize.
Options du serveur | Permet de changer les options de sortie du serveur courant.
Langue | Permet de changer la langue d'affichage des différentes interfaces de Samurize. Les fichiers de langue peuvent être téléchargés sur samurize.com et sont stockés dans le dossier Samurize/lang.
Vérifier les mises à jour | Vérifie s'il existe une version plus récente de Samurize que celle que vous utilisez.
Quitter | Ferme le serveur courant.


Samurize Server Options

Options du Serveur Samurize
Lorsque vous sélectionnez les options du serveur... "Option" dans le menu pop-up de l'icone de la zone de notification, you are presented with the following options:
Sortie image | Si actif, Samurize renvoie le fichier de configuration chargé dans le fichier image spécifié. Les formats PNG, JPEG, GIF et BMP.
Sortie XML | Si actif, Samurize renvoie le fichier de configuration chargé dans le fichier XML spécifié. pour la description du format XML de Samurize, voir le fichier SamurizeXML.dtd (Document Type Definition) dans le dossier Samurize.
Server Update Interval (ms) | Intervalle entre chaque écriture du serveur dans le fichier de sortie, en millisecondes (1 seconde = 1000 millisecondes). Régler cette option à une valeur trop basse peut sérieusement dégrader les performances.

Notez que SamurizeServer.exe accepte aussi les instances multiples, au même titre que le client Desktop, et les options de sorties sont sauvegardées pour l'instance spécifiée.


Screensaver Overview

Aperçu de l'écran de veille
Tropics a développé un écran de veille capable d'afficher une config Samurize. L'écran de veille est installé dans votre dossier Windows lorsque vous installez Samurize avec l'option "Ecran de veille" activée. Quelques instructions peuvent être consultées dans le fichier Screensaver_Instructions.txt présent dans votre dossier Samurize.

L'écran de veille affiche une image provenant du Serveur Samurize. Le Serveur Samurize doit être lancé avant de lancer l'écran de veille , sinon , il ne fonctionnera pas.

Onglet Samurize | Config File: | Selection du fichier de configuration à afficher dans l'écran de veille.
 | Edit... | Ouvre le fichier de configuration selectionné dans l'éditeur de configuration.
 | Config Update Rate: | Intervalle de rafraîchissement de l'affiche de l'écran de veille (en millisecondes).
 | Pause all Samurize Clients | Si actif, met en pause tout les clients Samurize au lancement de l'écran de veille. Lorsque l'écran de veille s'arrête , le statut de tout les clients Samurize est resaturé.
 | Hide all Samurize Clients | Si actif , cache tout les clients Samurize lorsque l'écran de veille est lancé. Lorsque l'écran de veille s'arrête , le status de tout les clients Samurize est restauré.
Onglet Display | Display Mode: | Fit to Screen - la config est étirée pour remplir tout l'écran. Zoom proportionately - la config est étirée en conservant ses proportions pour remplir l'écran le plus possible. Random Position - la config est affichée à une position aléatoire sur l'écran. Une nouvelle position est choisie à chaque rafraîssement de l'écran de veille. Designed Position - La config est affichée à la même position que dans l'éditeur de configuration Fo Shizzle to teh Cubizzle - la config est affichée sur les 6 faces d'un cube en rotation :)
 | Background Color/Cube Color | Permet de sélectionner la couleur de fond de l'écran de veille. Cette couleur est aussi celle du cube en mode 3D.
Onglet Multimonitor | Display options | Everywhere - l'écran de veille s'affichera sur la surface totale comprenant tout les moniteurs. Only on this device - l'écran de veille sera affiché seulement sur l'écran sélectionné. Clone - l'écran de veille sera dupliqué sur tout les écrans.
Onglet Special | Ignore mouse movement | L'écran de veille n'est pas désactivé au mouvement de la souris.
 | Use Pixel Shader if available | Utilise les "Pixel Shaders" pour améliorer l'affichage du cube 3D. (nécessite OpenGL 2.0).
 | Realtime Bumpmapping | Active le "Per-Pixel Bumpmapping" pour l'affichage du cube 3D. (nécessite Pixel Shaders).
 | Trilinear Filtering | Active le "Trilinéar Filtering" pour l'affichage du cube 3D. (Si votre carte graphique le supporte).
 | Anisotropic Filtering | Active le "Anisotropic Filtering" pour l'affichage du cube 3D. (Si votre carte graphique le supporte).


Instance Manager Overview

Aperçu du gestionnaire d'instances
Le gestionnaire d'instances est une interface simple pour crée et contrôler toutes les instances de Samuriize.

Sélectionnez une instance dans la liste et configurer la ou contrôlez la via les boutons sous la liste.

Editer l'instance (1) | Ouvre un fenêtre contenant des options pour l'instance comme le fichier de configuration à utiliser , sa position à l'écran, etc...
Supprimer l'instance (2) | Supprimer l'instance sélectionnée de la liste. Touts les options de cette instance seront perdues.
Lancer l'nstance (3) | Lancer l'instance sélectionnée.
Fermer l'instance (4) | Fermer l'instance sélectionnée.
Recharger la configuration (5) | Rechargé le fichier de configuration défini pour l'instance sélectionnée.
Editer le fichier de configuration (6) | Ouvrir le fichier de configuration de l'instace sélectionnée dans l'éditeur de configuration.
Créer un raccourci pour le client (7) | Crée un raccourci pour "Client.exe" en spécifiant en cible l'instance sélectionnée.
Créer un raccourci pour le serveur (8) | Crée un raccourci pour "Serveur.exe" en spécifiant en cible l'instance sélectionnée.

Trois boutons de plus sont disponibles:
Rafraîchir (9) | Met à jour la liste d'instances.
Nouvelle instance (10) | Crée une nouvelle instance. Un nom pour cette nouvelle instance vous sera demandé.
Quitter (11) | Ferme le gestionnaire d'instances.


ImportExport Tool Overview

Aperçu de l'outil ImportExport
A quoi ça sert ?
L'outil Import/Export permet de réunir plusieurs fichiers de configurations ainsi que les fichiers qu'ils utilisent (scripts, plugins, icons, graphics etc.) et de les convertir en un seul fichier: un pack Samurize (.sam). Vous pouvez partager ces fichiers avec d'autres utilisateurs pour qu'ils puissent avoir la même config que la vôtre trés facilement; Tout ce qu'ils ont à faires est de double-cliquer sur le fichier .sam.
Que fait-il ?
Exportation:
  • Inclus tout les fichiers relatifs au(x) fichier(s) de configuration. les chemins de fichiers sont conservés; les autres fichiers sont déplacés dans les sous-dossiers appropriés de Samurize (eg. Icones de la zone de notification dans Samurize\icons, images dans Samurize\skins\[NomDuPack]).
  • permet l'ajout d'un fichier LisezMoi qui sera affiché à l'utilisateur lors de l'import du pack.
  • permet l'ajout d'autres fichiers (des sets d'icones, des skins).
  • tente de convertir les chemins des compteurs de performance dans leur equivalent anglais.
  • efface les données personnelles des contrôles POP3 ou WMI.
  • le résultat est un fichier .sam (un fichier zip formatté par samurize), nommé Pack Samurize.
  • Options:
    • Nom de la suite - Le nom de votre pack.
    • Fichier ReadMe - sélection du fichier texte affiché à l'utilisateur en fin d'importation.
    • Fichiers de configuration - les fichiers de configuration à inclure au pack.
    • Pas de nom de pc dans les contrôles performance et WMI - permet d'ôter le nom de votre machine dans les contrôles de performances ou les contrôles WMI. Mieux vaut activer ceci.
    • Exclure les scripts/plugins du pack - permet de ne pas intégrer les scripts/plugins au pack.
    • Inclure les polices non-standard - si actif , toutes les polices qui ne figurent pas dans le fichier font.txt de votre dossier Samurize sont inclues au pack afin d'être installées sur la machine de l'utilisateur lors de l'importation.
    • Exécuter les commandes en fin d'importation - permet d'exécuter des commandes à la fin de l'importation.
    • Ajouter vos fichiers - permet d'ajouter des fichiers qui ne sont pas détectés automatiquement lors de l'exportatio. Cela peut être des fichiers utilisés par les plugins/scripts, des images, des icones, etc. *
    • Sauver/Ouvrir - permet d'enregistrer ou d'ouvrir les options d'exportation pour un pack donné (utile pour les mises à jour de packs).
    • Exporter - Démarrer l'exportation.
Importation:
  • Extrait du fichier .sam vers votre dossier Samurize, respecte les chemins; tout devrait être au bon endroit.
  • tente de convertir les chemins des compteurs de performance dans leur equivalent sur la machine locale.
  • Si la carte réseau spécifiée pour le compteur de performance équivalent n'est pas trouvée , elle est remplacée par la première carte affichée dans la liste de cartes du compteur.
  • énumère les contrôles WMI; s'ils sont invalides, affiche la boite de sélection WMI pour choisir leur equivalent sur la machine locale.
  • possibilité d'effectuer un tes afin de ne pas écraser de config existantes lors de l'importation.
  • possibilité d'associer les fichiers .sam à l'outil d'Import/Export afin de les extraires par double-click.
  • Options:
    • Fichier du pack Samurize - nom du pack à importer.
    • Prévenir avant d'écraser les fichiers - si actif , vous êtes prévenus par une boite de dialogues de l'existance d'un fichier avant son écrasement.
    • Afficher le fichier ReadMe - affiche le fichirer ReadMe contenu dans le pack.
    • Importer automatiquement - si actif, le doucble-click sur un fichier .sam permet de démarrer son importation automatiquement.
    • Mode test - permet d'extraire le pack dans le dossier de cotre choix (utile pour savoir exactement quels fichiers sont contenus dans le pack avant de l'importer dans le dossier Samurize).
    • Dossier test - Choix du dossier pour le Mode Test.
    • Associer aux fichiers .sam - Associe les fichiers .sam à l'outil Import/Export pour l'import automatique par double-click.
    • Importer - Démarrer l'importation.
Notes:
  • L'outil Import/Export utilise le dossier C:\Documents and Settings\[user name]\Application Data\ExportTool\[NomDuPack] comme dossier temporaire; utile pour regarder si tout les fichiers (et ceux qu('ils utilisent) sont bien pris en compte vérification possible du conteu de ce dossier à l'apparition de la fenêtre "Enregistrer .sam".
  • les fichiers UnzDll.dll et ZipDll.dll sont requis pour créer des fichiers .sam. vous pouvez les laisser dans le mêle dossier que l'outil Import/Export, mais en cas d'erreur, mettez les dans le dossier Windows\system32.
Ajouter des fichiers
A gauche , indiquez le chemin complet du fichier source à inclure dans le pack et à droite , indiquez le sous-dossier de Samurize utilisé lors de l'importation (ce sous dossier sera crée s'il n'existe pas). eg. Vous voulez inclure le fichier "Moi.png" de votre dossier "C:\Photos\" dans le pack et vous voulez qu'il soit extrait dans le dossiers "Samurize\Skins\" lors de l'import, utilisez ceci:

Source: Target:
C:\Photos\Moi.png            Skins\


FAQ

Frequently Asked Questions

FAQ compilée par Mardagg/NeM

Q: Configuration matérielle et logicielle requise par Samurize?
R: Microsoft Windows 2000/XP/2003 et une carte graphique supportant l'alpha blending (Geforce 1 ou plus). Note: Le Taskbar Client n'est pas dépendant du type de carte graphique.
Q: Samurize est-il supporté par Windows 95/98/Millennium Edition?
R: Malheureusement, Samurize les compteurs de performance de Windows pour obtenir les données, lesquels n'existent pas dans Windows 9X et Millennium Edition. En plus, Windows 9X ne supporte pas l'alpha blending (nécessaire à Samurize pour l'instant).
Q: Comment ajouter les taux de transfert up/down de ma connection internet dans l'éditeur de configuration?
R: Pas à pas: Ajouter un contrôle> Compteur de performance> Objet de performancet> Interface réseau> Octets reçus/s (pour le download)> (selectionner votre carte réseau). Pour afficher l'upload, selectionner Octets envoyés/s.
Q: Comment ajouter un compteur d'utilisation CPU dans une config?
R: Pas à pas: Ajouter un contrôle> Compteur de performance> Objet de performance> Processeur> % Temps Processeur.
Q: Comment actriver les nuouveaux script que j'ai mis dans le dossier Samurize/Scripts?
R: Dans l'éditeur de configuration, Ajouter un contrôle, Ajouter un script, dans l'onglet "source", sélectionner le script désiré et sélectionner la fonction voulue.
Q: Comment afficher Samurize dans une barre d'outils? (v0.90+)
R: Faites un click-droit sur votre barre d'outils et sélectionnez Barre d'outils> Serious Samurize. Pour enlever le texte Serious Samurize, dévérouillez votre barre d'outils, faites un click-droit sur le texte et décochez "Afficher le titre". Pour charger une config dans une barre d'outils, faites un click-droit dans l'espace utilisé par Samurize dans la barre et choisissez la config à "Selectionner la configurationé du menu pop-up.
Q: Comment afficher les taux de transfert de ma carte réseau en KB/s?
R: Suivez ce pas à pas.
1) Ajouter un compteur de performance
2) Sélectionner "Interface réseau"
3) Sélectionner Octets reçus/s ou Octets envoyés/s
4) Choisir votre carte réseau (à droite)
5) Ensuite, cocher "Configurer la valeur transmise" dans l'onglet "source"
6) Convertir de: bytes à: kilobytes
Q: Comment afficher mon adresse IP?

R: ISi vous voulez votre adresse IP LAN (locale), utilisez le script "Extended Props" (inclus avec Samurize). Si vous êtes derriere un firewall ou un routeur et que vous voulez votre adresse IP WAN (internet), Vous devrez utiliser un script conçu à cet effet disponible dans la section "Downloads" sur samurize.com.

Autrement, utilisez un contrôle WMI : selectionnez la classe "Win32_NetworkAdapterConfiguration", votre carte réseaux dans "Instances", et "IPAddress" dans "Propriétés".
Q: Comment afficher les températures CPU temperatures, vitesses de ventilateurs, etc. dans ma config?
R: Vous devez télécharger, installer et configurer Motherboard Monitor (MBM). Ensuite, vous ajoutez des contrôles MBM en faisant "Ajouter un contrôle" -> "Informations sur le matériel" -> "Ajouter une sonde MBM".
Q: Comment voir et afficher les statistiques d'un serveur de jeu? (v0.90+)
R: Utiliser un des scripts disponibles dans la section "Game Scripts Download" sur samurize.com.
Q: Comment démarrer Samurize automatiquement avec windows?
R: Placez un raccourci vers Samurize dans le dossier Démarrage du Menu démarrer.
Q: Comment placer des contrôles Winamp dans ma config config?
R: En utilisant un programme de contrôle externe de Winamp. Quelques-un sont disponibles dans la section "downloads" sur samurize.com.
Q: J'ai vu des configs avec des boutons permettant d'ouvrir d'autres configs. Comment faire ça?
R: Utiliser l'outil "Start and Stop" d'Alderaic's, disponible dans la section "downloads" sur samurize.com. (ATTENTION: pour utilisateurs avancés)
Q: J'ai une question qui n'est pas dans cette FAQ, que dois-je faire?
R: Vérifiez sur samurize.com s'il n'y a pas une mise à jour de cette FAQ. Si vous avez des questions sur le programme ou le site de Samurize, posez la sur le forum de samurize.com ou dans des cas extrêmes vous pouvez envoyer un mail à NeM (nem@samurize.com).


Troubleshooting

Problèmes divers
Pour des problèmes non-rescencés dans ce guide, voir la section FAQ sur www.samurize.com.
1. je reçois sans arrêt un message "Exception Errors" quand j'essaye de lancer l'éditeur de configuration ou d'ajouter un Contrôle Script.
Téléchargez et installez ActiveScript Component Update depuis le site de Microsoft.
2. Plusieurs compteurs de performance sont perdus lorsque j'essaye d'en ajouter un autre, ou un compteur cesse de fonctionner.
Cela arrive lors de crash d'un compteur de performance. Windows désactive le compteur concerné même si vous redémarrez la machine.

Pour voir la liste complète des compteurs de performances de votre système et les Activer/Désactiver, vous aurez besoin de l'outil "exctrlst.exe" avec le " Win2k resource kit". Téléchargez "exctrlst.exe" ici.
Il fonctionne sur la plupart des systèmes Win2k et WinXP. Fermer le client Samurize avant de l'exécuter, activez les compteurs et moniteurs perdus, et relancez le Client.
3. Samurize est-il supporté par Windows 95/98/ME? (i.e. Pourquoi n'aies-je pas le fichier PDH.dll?)
Malheureusement, Samurize les compteurs de performance de Windows pour obtenir les données, lesquels n'existent pas dans Windows 9X et Millennium Edition. En plus, Windows 9X ne supporte pas l'alpha blending (nécessaire à Samurize pour l'instant).
4. Combien de mémoire utilise Samurize? Ma config utilise plus de 15 Mo !
Normalement , il devrait utiliser environ 3 ou 4 Mo de mémoire. Vous devez surement utiliser des Scripts. En aucun cas Samurize n'est fautif, ce sont les librairies de Microsoft qui utilisent beaucoup de mémoire. Si vous voulez vraiment éviter ça, n'utilisez pas de scripts.
5. Je dispose d'une connection ADSL (PPPoE) et les vitesses d'upload/download ne fonctionnent pas. Pourquoi?
ISi vous voulez afficher les vitesses d'UL/DL d'une connection ADSL (PPPoE) vous devez choisir le "RAS-port Performance Object" dans les compteurs de performancein perfmon au lieu du "NetworkInterface Performance Object", même si la connection ADSL est sur une NIC (Network Interface Card).
6. Je rencontre cette erreur: "Microsoft ActiveX Script Control create failed". Comment résoudre ceci?
Téléchargez et installez le "Windows Script Control From" ici.

Vous devrez surement choisir le langage de votre système pour télécharger le fichier correspondant.
7. Pourquoi certaines combinaisons de touches pour les raccourcis clavier ne fonctionnent pas correctement?
Ce n'est pas vraiment un bug, juste la façon dont Windows travaille: Quelques combinaisons de touches peuvent être enregistrées, mais ne peuvent être reconnues. Vous devez éviter les Num Lock, Caps Lock, Scroll Lock, Pause, and Print Screen - en particulier en combinaison avec la touche "Control".
8. Mes contrôles WMI et compteurs de performance ne fonctionnent pas sur d'autres machines.
Faites ceci:

Démarrer -> Exécuter -> secpol.msc
Aller à:
Stratégies locales : Options de sécurité
Ensuite , regardez ici:
Accès Réseau: Modèle de partage et de sécurité pour les comptes locaux.
Il y a des chances pour que ce paramètre soit sur "Invité seul - les utilisateurs s'authentifient en tant qu'invités". Changez ce paramètre en "Classique - les utilisateurs locaux s'authentifient eux-mêmes" et ça devrait aller !


Tips

Astuces
Vous pouvez utiliser le raccourci clavier Ctrl+S sauver rapidement la config éditée dans l'éditeur de configuration.
Quand vous créez une config, un rectangle entourant la config entièrement peut être affiché. Si ce rectangle est vert les performances seront optimales. Si il est rouge les performances seront dégradées (bien que cela n'affecte pas la puissance actuelle des pc). n'essayez pas de créer des configs aux dimensions trop grandes. Il est préférable de créer plusieurs configs et de les afficher dans les différentes zones de votre bureau avec des instances multiples.
Un simple click-gauche sur une icone de Samurize dans la zone de notification cache et met en pause la configuration correspondante. Un autre click gauche et la config revient à la normale. Utile pour les joueurs ou les cinéphiles :)
Vous pouvez définir des raccourcis clavier (comme Ctrl+Alt+R) pour recharger, afficher ou cahcer l'icone de la zone de notification et mettre en pause Samurize à l'onglet "Options du Projet" dans la zone "Outils et Paramètres" de l'éditeur de configuration.
Vous voulez afficher avec Samurize des infos sur le média joué actuellement par votre lecteur favoris? Tropics a crée le plugin "Advanced Media Player" à utiliser avec Samurize les lecteurs courants comme Winamp, iTunes, foobar2000 et plus encore. Ce plugin s'installe avec Samurize. Lisez le fichier SpectrumReadme.txt, présent dans le dossier Samurize, pour plus d'informations.


Script/Plugin Development Notes

A propos du developpement de Scripts/Plugins
Si vous avez des questions ou des problèmes avec le développement de plugins pour Samurize, faites un tout sur le forum de samurize.com pour avoir l'aide
des autres membres et de l'équipe de développement.
Scripts
Créer des scripts pour Samurize est trés simple si vous connaissez déjà un langage de script. Samurize supporte les langages suivant VBscript, Javascript,
PerlScript et Python. Si vous ne connaissez aucun de ses langages mais que vous avez des bases en programmation, vous vous familiariserez vite grâce aux
nombreux tutoriels disponibles sur le net. Vous pouvez aussi examiner les scripts fournis avec Samurize pour voir comment ça marche.

Pour créer un script pour Samurize, vous devez déclarer une "Public function" dans le script et lui assigner la valeur que vous désirez afficher dans Samurize.
Voici un script simple (en VBscript et en Javascript) qui renvoie une phrase bien connue:
    ' VBscript hello world script
    Function Hello()
    Hello = "Hello World!"
    End Function

    // Javascript hello world script
    function Hello() {
    return "Hello World!"
    }
C'est tout ce qu'il y a à faire. Remplacez par cotre propre code ce qui est écrit entre les 2 lignes contenant le mot "function", renommez la fontion (ou créez
en de nouvelles selon votre besoin) et ajoutez des paramètres si vous en désirez. Sauvez votre script dans le dossier Samurize/scripts en spécifiant
l'extension du fichier comme ceci:
  • ".vbs" pour VBscript
  • ".js" pour Javascript
  • ".pls" pour PerlScript*
  • ".py" pour Python*
  • ".rb" pour RubyScript**
  • ".php" pour PHPScript***

La seule limitation dans l'usage de scripts dans Samurize est que vous ne pouvez pas utiliser de Boite de Dialogue ou de commandes de pause car elles
rentrent en conflit avec Samurize.

* Vous devrez installer et enregistrer "ActivePerl/ActivePython" dans Windwos Script Host pour utiliser ses possibilités avec Samurize. Vous pouvez les télécharger
depuis www.activestate.com.
** Vous devrez installer et enregistrer "RubyScript" dans Windwos Script Host. Vous pouvez la télécharger depuis http://arton.hp.infoseek.co.jp/index.html.
*** Vous devrez installer et enregistrer "PHPScript" dans Windwos Script Host. Téléchargez "php5activescript.dll" ici et vérifiez que vous avez installé PHP 5.0.

Plugins
Ecrire des plugins pour Samurize est un peu plus dur que pour les scripts parce que vous devez avoir des connaissances en C, C++, Delphi ou tout autre
langage compilé capable de créer des DLL (Dynamic Linked Libraries).

Des plugins ont été développés en C++, en Delphi et en Powerbasic (une variation de Visual Basic) et fonctionnent parfaitement avec Samurize, mais il est
possible de créer des plugin dans d'autres langages compilés.

Les codes sources de quelques plugins simples sont fournis dans votre dossier Samurize/plugins:
  • hello_word.dpr (écrit en Delphi 7) et Helloworld_C++.zip (écrit en C++) sont 2 sources écrites sous la version 1.0 du SDK.
  • sdksample.dpr (écirt en Delphi 7) et TestVis.zip (écrit en C++) sont 2 sources écrites sous la version 2.0 du SDK.
    Ces plugins utilisent les librairies graphiques (Graphics32 pour sdksample.dpr, GDI+ pour TestVis.zip) pour afficher les graphiques - Vous devrez les
    télécharger pour compiler ces plugins.
Lisez les commentaires dans les codes sources de ces plugins pour comprendre comment ils fonctionnent et écrire vos propres plugins.

Pour la liste compléte des fonctions disponibles avec le SDK (et les explications concernant chacune d'elles), lisez le code sdksample.dpr.

Les plugins Samurize doivent être placés dans le dossier Samurize/plugins.
Samurize API
Plugins (et dans beaucoup de cas, les autres applications) sont capables de communiquer avec Samurize à travers l'API Samurize. l'API Samurize est
similaire à l'API Winamp (son mode de communication) dans l'envoie de messages à la fenêtre Samurize.

// Messages
// notez que certains messages ne sont pas applicables à tout les clients(eg. le client taskbar n'a pas d'icone dans la zone de
notification)

// Actions

  const int WM_SAM_RELOAD_CONFIG            = 40000; // Dit à Samurize de recharger la config
  const int WM_SAM_PAUSE                    = 40001; // Fonction "Pause" (utilisez wparam=0 pour sortir de pause,
                           // 1 pour mettre en pause)
  const int WM_SAM_SHOW                     = 40002; // Fonction "Afficher/Cacher" (utilisez wparam=0 pour cacher, 1 pour afficher)
  const int WM_SAM_SHOWTRAYICON             = 40003; // Fonction "Aficher l'icone dans le systray"
                           // (utilisez wparam=0 pour cacher, 1 pour afficher)
  const int WM_SAM_EXIT                     = 40004; // Quitte Samurize
  const int WM_SAM_SET_CLIENTSETTING        = 40005; // Fixes les options du client selon ceux de wparam (voir ci-dessous),
                           // 0=non, 1=oui
  const int WM_SAM_SET_CLIENTPOSITION       = 40006; // Fonction "Position" (utilisez wparam, 0=Toujours en haut,
                           // 1=Attaché au bureau, 2=Fenêtre normale, 3=Toujours au-dessus)
  const int WM_SAM_SET_TASKBARPOSITION      = 40061; // Fonction "Position" (taskbar client)
                           // utilisez wparam=0 pour la position horizontale
                            (lparam: 0=à gauche, 1=centré, 2=à droite)
                           // utilisez wparam=1 pour la position verticale
                            (lparam: 0=en haut, 1=au milieu, 2=en bas)
  const int WM_SAM_LOAD_CONFIGFILE          = 40007; // prends la chaine de caractères dans lparam - dit à Samurize de charger
                           // cette config.(eg. "MaConfig.ini")
  const int WM_SAM_SET_REFRESHINTERVAL      = 40008; // Fonction "Intervalle de rafraîssement" (avec wparam)
  const int WM_SAM_EDITCONFIGFILE           = 40009; // ouvre l'éditeur de configuration avec la config courrante
  const int WM_SAM_TOGGLE_PAUSE             = 40010; // Inverse le status "pause", retourne la nouvelle valeur du status
                           // (1=en pause, 0=pas en pause)
  const int WM_SAM_TOGGLE_SHOW              = 40011; // Inverse le status "afficher/cacher", retourne la nouveau status
                           // (1=visible, 0=caché)
  const int WM_SAM_TOGGLE_SHOWTRAYICON      = 40012; // Inverse le status "Afficher l'icone dans le systray", retourne le nouveau
                           // status (1=visible, 0=caché)
  const int WM_SAM_TOGGLE_CLIENTSETTING     = 40013; // Inverse les options du client de ceux de wparam (voir ci-dessous),
                           // retourne le nouveau status (1=oui, 0=non)
  const int WM_SAM_SERVER_XML_OUTPUT        = 40017; // Fixe la sortie XML (utilisez wparam=0 pour la désactiver, 1 pour l'activer)
  const int WM_SAM_SERVER_PNG_OUTPUT        = 40018; // Fixe la sortie PNG (utilisez wparam=0 pour la désactiver, 1 pour l'activer)

// Informations

  // Chaines de caractères
    const int WM_SAM_GET_INSTANCENAME         = 40020; // Retourne le nomd  de l'instance
    const int WM_SAM_GET_CONFIGNAME           = 40021; // Retourne le nom de la config
    const int WM_SAM_GET_CONFIGPATH           = 40022; // Retourne le chemin complet de la config
    const int WM_SAM_GET_LANGUAGEFILE         = 40023; // Retourne le nom du fichier de langage utilisé par Samurize

  // Nombres
    const int WM_SAM_GET_CLIENTPOSITION       = 40050; // Retourne la position du client (utilisez wparam, 0=Toujours en haut,
                             // 1=Attaché au bureau, 2=Fenêtre normale, 3=Toujours au-dessus)
    const int WM_SAM_GET_CLIENTSETTING        = 40051; // Retourne le status des options du client selon ceux de wparam
                             // (voir ci-dessous), 0=non, 1=oui
    const int WM_SAM_GET_REFRESHINTERVAL      = 40052; // Retourne l'intervalle de rafraîssement du client
    const int WM_SAM_GET_TASKBARPOSITION      = 40060; // Retourne la position du Taskbar Client
                             // utilisez wparam=0 pour la position horizontale
                            (0=à gauche, 1=centré, 2=à droite)
                             // utilisez wparam=1 pour la position verticale
                            (0=en haut, 1=au milieu, 2=en bas)

  // Booléens, retourne 0 pour "false", 1 pour "true"
    const int WM_SAM_IS_PAUSED                = 40080; // Le client est-il en pause ?
    const int WM_SAM_IS_VISIBLE               = 40081; // Le client est-il visible ?
    const int WM_SAM_IS_TRAYICONVISIBLE       = 40082; // L'icone du systray est-elle visible ?

  // Messages de l'éditeur de configuration
    const int WM_SAM_CONFIGEDITOR_SETDEFAULTS         = 40100; // Fixe les options par défaut pour le contrôle "plugin visuel"
    const int WM_SAM_CONFIGEDITOR_REFRESHMETER        = 40101; // Rafraîchit le contrôle sélectionné

  // Tout les clients Samurize et l'éditeur de configuration
    const int WM_SAM_ENVIRONMENT                      = 39999; // Retourne l'environement du plugin (?)
    const int SAM_DESKTOPCLIENT                       = 1; // client Destop (client.exe)
    const int SAM_TASKBARCLIENT                       = 2; // client Taskbar (taskbar.dll)
    const int SAM_SERVER                              = 3; // serveur (samurizeserver.exe)
    const int SAM_CONFIGEDITOR                        = 0; // éditeur de configuration (config.exe)

  // Envoyer des données (à une application externe) enn utilisant WM_COPYDATA
    const int SAM_LOAD_CONFIG             = 1000; // Dit à Samurize de charger une config

  // wparams à utiliser avec WM_SAM_GET_CLIENTSETTING et WM_SAM_SET_CLIENTSETTING
    const int SAM_CLIENT_LOCKED           = 2000; // Position vérouillée
    const int SAM_CLIENT_CLICKTHRU        = 2001; // Cliquer à travers
    const int SAM_CLIENT_USEDESIGNPOS     = 2002; // Utiliser la position dessinée
    const int SAM_CLIENT_SNAP             = 2003; // Coller aux bords de l'écran
    const int SAM_CLIENT_SNAPTOCLIENTS    = 2004; // Coller aux autres clients
Si vous avez installé Samurize avec l'option Plugin Example activée, vous pouvez voir la liste entière des messages supportés dans le fichier samurize.h inclus dans l'archive TestVis.zip placée dans le dossier Samurize/plugins.
Options de Proxy
Les utilisateurs peuvent choisir les paramètres Proxy dans les Préférences de l'éditeur de configuration. Si vous voulez intégrer le support des paramètres Proxy dans votre plugin ou script, ces paramètres sont sauvés dans la base de registre, sous la clé HKEY_CURRENT_USER\Software\Serious Samurize\General, au valeurs suivantes:

UseProxy - indique si un proxy doit être utilisé (0=non, 1=oui)
ProxyServer - Serveur proxy (adresse IP ou nom)
ProxyPort - Port du proxy
ProxyUsername - Nom d'utilisateur
ProxyPassword - Mot de passe

c'est à la charge du créateur du script/plugin d'ajouter le support des proxy à leur code , où c'est nécessaire, sans quoi les paramètres proxy n'auront aucun effet.


Plugin SDK
Si vous avez des questions ou des problèmes avec le développement de plugins pour Samurize, faites un tour sur le forum de samurize.com pour avoir l'aide des autres membres et de l'équipe de développement.Le reste du document n'est pas traduit , parce que c'est trop technique pour moi :)

NOTES:
Les types SAMURIZE_PLUGIN_CHAR et SAMURIZE_PLUGIN_INT sont définis somme suit:

#define SAMURIZE_PLUGIN_CHAR extern "C" __declspec(dllexport) char* __stdcall
#define SAMURIZE_PLUGIN_INT extern "C" __declspec(dllexport) int __stdcall

En Delphi ce sont simplement les types PChar et Integer.

Liste des fonctions
  • DLLMain
  • init
  • dlltype
  • getinfo
  • dllstartup
  • dllshutdown
  • save_xml
  • getparam
  • configure
  • vis_configure
  • source_configure
  • src_load_settings
  • src_save_settings
  • repaint
  • load_settings
  • save_settings
  • setdefaults
  • pastemeter
  • action
  • actionsprovided
  • input_configure
  • input_load_settings
  • input_save_settings
BOOL APIENTRY DllMain(HANDLE hModule, DWORD ul_reason_for_call, LPVOID lpReserved)
The standard DLLMain function. You can use this function to do one-off initialization and de-initialization for your plugin using the DLL_PROCESS_ATTACH and DLL_PROCESS_DETACH reasons for call.

See here for more information.

Parameters:
  • hModule - Handle to the DLL module
  • ul_reason_for_call - Indicates why the DLL entry-point function is being called. This parameter can be one of the following values.
    • DLL_PROCESS_ATTACH - The DLL is being loaded by Samurize (ie. when the first meter that uses the plugin is created)
    • DLL_PROCESS_DETACH - The DLL is being unloaded by Samurize (ie. after the last meter that uses the plugin has been destroyed)
    • DLL_THREAD_ATTACH - not used by Samurize
    • DLL_THREAD_DETACH - not used by Samurize
  • lpReserved - If fdwReason is DLL_PROCESS_ATTACH, lpvReserved is NULL for dynamic loads and non-NULL for static loads. If fdwReason is DLL_PROCESS_DETACH, lpvReserved is NULL if DllMain has been called by using FreeLibrary and non-NULL if DllMain has been called during process termination.
Return Value:
This function should return TRUE.
SAMURIZE_PLUGIN_CHAR init()
The init() function tells Samurize the names of the functions your source plugin provides. It should return a list like so: "Func1|Func2|...|FuncN"

Return Value:
A list of all the functions your source plugin provides eg. "My Function 1|Some other function|And another"
SAMURIZE_PLUGIN_INT dlltype()
Tells Samurize what type of plugin this is. If this function is declared, Samurize will assume you are using the SDK v2.0;
  • All source functions your plugin provides will be called with an additional first parameter, the meter's unique_id.
  • dllstartup will be called for each meter created that uses your plugin (if you provide that function)
  • dllshutdown when a meter that uses your plugin is deleted (if you provide that function)
Return Value:
The value you should return is a summation of any or all of the following values:
1: Source plugin
2: Visual plugin
4: Input plugin
... (more to follow!)

eg. returning 2 tells Samurize your plugin is a visual plugin. Returning 3 tells Samurize your plugin is a visual plugins AND has a source plugin component as well.
SAMURIZE_PLUGIN_CHAR getinfo(int infonum)
This function should return information about your plugin depending on the passed integer value. This information is displayed when the 'About' button is pressed in the config editor when your plugin is selected.

This function is optional.

Parameters:
  • infonum - an integer value indicating the information that should be returned:
    1. Plugin name
    2. Author name
    3. Plugin version
    4. Creation date
    5. Last modified date
    6. Website
    7. Contact email address
SAMURIZE_PLUGIN_INT dllstartup(HWND hwnd, int dlltype)
dllstartup() is called every time Samurize creates a meter that uses this plugin.
Any memory allocation needed on a meter-by-meter basis should be done in this function.

Parameters:
  • hwnd - the window handle of the instance of Samurize that called this function.
  • dlltype - indicates the meter 'type' (1 for source plugins, 2 for visual plugins) that is being initialized.
Return Value:
This function should return a unique integer ID that Samurize remembers and uses for other functions (this is so multiple instances of Samurize that use this plugin do not conflict).
If your plugin is very simple and does not need to keep any global variables that may cause conflicts, just return 0 (or omit this function).
SAMURIZE_PLUGIN_INT dllshutdown(int id)
dllshutdown() is called every time a meter using the plugin is destroyed by Samurize.
Any memory releasing needed on a meter-by-meter basis should be done in this function.
If your plugin does not need to free any memory, this function may be omitted.

Parameters:
  • id - the unique ID your plugin assigned to the meter (returned by dllstartup)
Return Value:
This function should always return 0.
SAMURIZE_PLUGIN_CHAR save_xml(int id)
save_xml() is called when the config is being saved to an XML file by the Samurize server executable. Your plugin should return its settings in XML format as follows:

    <SETTING ATTR="attribute1">attribute value</SETTING>
    <SETTING ATTR="myattribute">123</SETTING>
    <SETTING ATTR="anotherattribute">some value</SETTING>
Parameters:
  • id - the unique ID assigned to the meter by the dllstartup() function
SAMURIZE_PLUGIN_CHAR getparam(char* func)
SOURCE PLUGINS ONLY

The getparam() function should return a list of the parameters that the passed function requires.

Parameters:
  • func - the name of the function Samurize needs to know the parameters for.
Return Value:
A list of parameters delimited by '|' characters. Note that there needs to be a final '|' after the last parameter.
Appending '=' and then a value to the end of a parameter indicates the default value for that parameter.
eg. "Param1|Param2|Param3=SomeDefaultValue|"
SAMURIZE_PLUGIN_INT configure()
SOURCE PLUGINS ONLY

configure() is called when the user clicks on the "Configure Plugin..." button in Samurize.
You can display a popup dialog with global settings for your plugin (eg. a box prompting for your location for a weather plugin). These settings will be applied for all meters that use this source plugin.
Note that it is your responsibility to save these settings to the registry/settings file/whatever - they aren't stored by Samurize anywhere.

Return Value:
This function should always return 0.
SAMURIZE_PLUGIN_INT vis_configure(int id)
VISUAL PLUGINS ONLY

vis_configure() is called when the user clicks on the "Configure..." button in Samurize.
You can display some kind of popup window that allows users to specify various display settings for this visual plugin. Note that you need to store the settings for each meter individually for saving later on.
This function is optional - if it is not provided, you will not be able to specify settings on a meter-by-meter basis.

Parameters:
  • id - the unique ID of the meter being configured (that your plugin assigned to the meter as the return value of dllstartup)
Return Value:
This function should always return 0.
SAMURIZE_PLUGIN_INT source_configure(int id, char* func)
SOURCE PLUGINS ONLY

source_configure() is called when the user clicks on the "Configure..." button in Samurize.
You can display some kind of popup window that allows users to specify various display settings for this source plugin. Note that you need to store the settings for each meter individually for saving later on.
This function is optional - if it is not provided, you will not be able to specify settings on a meter-by-meter basis.

Parameters:
  • id - the unique ID of the meter being configured (that your plugin assigned to the meter as the return value of dllstartup)
  • func - the name of the function this meter calls from the plugin
Return Value:
This function should always return 0.
SAMURIZE_PLUGIN_INT src_load_settings(int id, char* inifile, char* section)
SOURCE PLUGINS ONLY

src_load_settings() is called when the config is loaded from file in the config editor or the clients. Your plugin should load its settings from the given section of the specified config file.

Parameters:
  • id - the unique ID assigned to the meter by the dllstartup() function
  • inifile - the full path to the config file
  • section - the section of the config file where the values are listed
Return Value:
This function should always return 0.
SAMURIZE_PLUGIN_INT src_save_settings(int id, char* inifile, char* section)
SOURCE PLUGINS ONLY

src_save_settings() is called when the config is being saved by the config editor. Your plugin should save its settings to the given section of the specified config file.

Parameters:
  • id - the unique ID assigned to the meter by the dllstartup() function
  • inifile - the full path to the config file
  • section - the section of the config file where the values should be saved
SAMURIZE_PLUGIN_INT repaint(HDC hdc, int id, char* cValue, int width, int height)
VISUAL PLUGINS ONLY

repaint() is called every time Samurize refreshes its display. Visual plugins need to be repainted every time this occurs.

The bitmap you are drawing on is a 32-bit bitmap with alpha channel. Thus if you use GDI functions to draw, the alpha will be 0 and you will see nothing. You can either use GDI+ (supports transparency) or a custom library such as the graphics32 library for Delphi.

Parameters:
  • h - the device context (HDC) for the bitmap you should draw on
  • id - the unique ID assigned to the meter that is calling this function (assigned by the dllstartup() function)
  • value - the value of the meter in string form (eg. "20", "Some text")
  • width - the width of the bitmap in pixels
  • height - the height of the bitmap in pixels
Return Value:
This function should always return 0.
SAMURIZE_PLUGIN_INT load_settings(int id, char* inifile, char* section)
VISUAL PLUGINS ONLY

load_settings() is called when the config is loaded from file in the config editor or the clients. Your plugin should load its settings from the given section of the specified config file.

Parameters:
  • id - the unique ID assigned to the meter by the dllstartup() function
  • inifile - the full path to the config file
  • section - the section of the config file where the values are listed
Return Value:
This function should always return 0.
SAMURIZE_PLUGIN_INT save_settings(int id, char* inifile, char* section)
VISUAL PLUGINS ONLY

save_settings() is called when the config is being saved by the config editor. Your plugin should save its settings to the given section of the specified config file.

Parameters:
  • id - the unique ID assigned to the meter by the dllstartup() function
  • inifile - the full path to the config file
  • section - the section of the config file where the values should be saved
SAMURIZE_PLUGIN_INT setdefaults(int unique_id, PPluginDefaults* def)
VISUAL PLUGINS ONLY

setdefaults is called when the config editor receives the WM_SAM_CONFIGEDITOR_SETDEFAULTS message.

When this is called, your plugin can set the X, Y, Width and Height of its meter via the passed pointer.

Parameters:
  • unique_id - the unique ID assigned to the meter by the dllstartup() function
  • def - A pointer to a structure that looks like this:
    TPluginDefaults = packed record
    X:Word;
    Y:Word;
    Width:Word;
    Height:Word;
    Reserved:Word;
end;
PPluginDefaults = ^TPluginDefaults;
Return Value:
This function should always return 0.
SAMURIZE_PLUGIN_INT pastemeter(int source_id, int dest_id)
pastemeter is called when a meter is pasted in the config editor. Your plugin should clone the settings from the source meter (indicated by source_id) to the cloned meter (indicated by dest_id).

Parameters:
  • source_id - the unique ID assigned to the source meter by the dllstartup() function
  • dest_id - the unique ID assigned to the destination meter by the dllstartup() function
Return Value:
This function should return 0.
SAMURIZE_PLUGIN_INT action(int id, int action, int sourcepluginid, int outputpluginid, int X, int Y, int left, int top, int right, int bottom, char* files)
INPUT PLUGINS ONLY

action() is called when ever an action occurs for example left click. Your plugin can cope with all the actions or a subset of actions. However your plugin must not assume that the user has assigned it to the correct action, and should perform a check before processing the command.

Parameters:
  • id - the unique ID assigned to the meter by the dllstartup() function
  • action - this is an integer representing the action that has occurred
    • 5001 - Left mouse click has occurred
    • 5002 - Right mouse click has occurred
    • 5003 - Middle mouse click has occurred
    • 5010 - The mouse is hovering over the meter
    • 5011 - The mouse has left the meter (NB: This maybe called more than once for a meter)
    • 5012 - Action triggered when the mouse moves over the form
    • 5013 - Action triggered when the mouse moves out of the form area
    • 5020 - A user has dragged and dropped files onto that meter
  • sourcepluginid - id of the plugin source associated with this meter, 0 if no meter is associated
  • outputpluginid - id of the plugin output associated with this meter, 0 if no meter is associated
  • X - X location of the mouse click
  • Y - Y Location of the mouse click
  • left - Meter Location value - Left
  • top - Meter Location value - Top
  • right - Meter Location value - Right
  • bottom - Meter Location value - Bottom
  • files - This is only used when a 5020 action occurs, it provides the plugin with a list of file names separated by a |
Return Value:
This function should return 0.
SAMURIZE_PLUGIN_INT actionsprovided()
INPUT PLUGINS ONLY

actionsprovided() is called to determine what input actions the plugin is willing to handle. The plugin will only be called when these actions occurs.

Return Value:
This function should return a list of Actions separated by a | for example 5001|5002|5010|5011|5020|, the list must have the tailing | at the end to ensure the parsing of it occurs correctly.
SAMURIZE_PLUGIN_INT input_configure(int id, int action)
INPUT PLUGINS ONLY

input_configure() is called when the user clicks on the "Configure..." button in Samurize.
You can display some kind of popup window that allows users to specify various settings for this input plugin. Note that you need to store the settings for each meter individually for saving later on.
This function is optional - if it is not provided, you will not be able to specify settings on a meter-by-meter basis.

Parameters:
  • id - the unique ID of the meter being configured (that your plugin assigned to the meter as the return value of dllstartup)
  • action - Provides the action value for the configure button see action for the full list of actions
Return Value:
This function should always return 0.
SAMURIZE_PLUGIN_INT input_load_settings(int id, char* inifile, char* section)
INPUT PLUGINS ONLY

input_load_settings() is called when the config is loaded from file in the config editor or the clients. Your plugin should load its settings from the given section of the specified config file.

Parameters:
  • id - the unique ID assigned to the meter by the dllstartup() function
  • inifile - the full path to the config file
  • section - the section of the config file where the values are listed
Return Value:
This function should always return 0.
SAMURIZE_PLUGIN_INT input_save_settings(int id, char* inifile, char* section)
INPUT PLUGINS ONLY

input_save_settings() is called when the config is being saved by the config editor. Your plugin should save its settings to the given section of the specified config file.

Parameters:
  • id - the unique ID assigned to the meter by the dllstartup() function
  • inifile - the full path to the config file
  • section - the section of the config file where the values should be saved


Formatting Tags

Tags de format
Samurize possède des tags speciaux utilisables pour formatter les sorties sous forme de texte. Ils sont listés ci-dessous:
Tag | Affichage
%b | Retour à la ligne
%tab | Tabulation
%v | Valeur du contrôle
%l Spécifie un lien pour le contrôle. Utile dans les scripts/plugins pour changer les liens d'un contrôle en temps réel.
Par exemple, pour créer un lien vers samurize.com sous la dénomination "Go to Samurize", vous devrez utiliser:
Go To Samurize%lhttp://www.samurize.com
Notez que l'option "Autorise les contrôles d'entrée" soit être activée pour le contrôle contenant le lien (sinon , le lien ne fonctionne pas). De ce fait , les liens avec le tag "%l" sont prioritaires sur les autres contrôles d'entrée assignés au contrôle.


Date & Time Formatting Guide

Guide des formats Heure/Date
Variable | Affichage
%b | Retour à la ligne
%tab | Tabulation
c | Date utilisant le format donné par la variable ShortDateFormat, suivi par l'heure utilisant le format donné par la variable LongTimeFormat. l'heure n'est pas affichée si la valeur Heure-Date indique minuit précisement.
d | Jour sous forme de nombre sans ajout de zero devant (1-31).
dd | Jour sous forme de nombre avec ajout de zero devant (01-31).
ddd | Jour abrégé (Lun - Dim) utilisant la chaine donnée par la variable ShortDayNames.
dddd | Jour complet (Lundi - Dimanche) utilisant la chaine donnée par la variable LongDayNames.
ddddd | Date utilisant le format donné par la variable ShortDateFormat.
dddddd | Date utilisant le format donné par la variable LongDateFormat.
m | Mois sous forme de nombre sans ajout de zero devant (1-12). NOTE: si le "m" suit immédiatement le "h" ou "hh", les minutes sont affichées à la place du mois.
mm | Mois sous forme de nombre avec ajout de zero devant (01-12). NOTE: si le "mm" suit immédiatement le "h" ou "hh", les minutes sont affichées à la place du mois.
mmm | Mois abrégé (Jan-Déc) utilisant la chaine donnée par la variable ShortMonthNames.
mmmm | Mois complet (Janvier-Décembre) utilisant la chaine donnée par la variable LongMonthNames.
yy | Année sous forme de nombre composé de 2 chiffres (00-99).
yyyy | Année sous forme de nombre composé de 4 chiffres (0000-9999).
h | Heure sans ajout de zero devant (0-23).
hh | Heure avec ajout de zero devant (00-23).
n | Minute sans ajout de zero devant (0-59).
nn | Minute avec ajout de zero devant (00-59).
s | Seconde sans ajout de zero devant (0-59).
ss | Seconde avec ajout de zero devant (00-59).
z | Milliseconde sans ajout de zero devant (0-999).
zzz | Milliseconde avec ajout de zero devant (000-999).
t | Heure utilisant le format donné par la variable ShortTimeFormat.
tt | Heure utilisant le format donné par la variable LongTimeFormat.
am/pm | Utilise le format 0/12 heure pour l'heure donnée par "h" ou "hh" et affiche "am" pour les heures avant midi et "pm" pour les heures aprés midi. Le commutateur am/pm peut contenir des majuscules et des minuscules et sera affiché en conséquence.
a/p | Utilise le format 0/12 heure pour l'heure donnée par "h" ou "hh" et affiche "a" pour les heures avant midi et "p" pour les heures aprés midi. Le commutateur a/p peut contenir des majuscules et des minuscules et sera affiché en conséquence.
ampm | Utilise le format 0/12 heure pour l'heure donnée par "h" ou "hh" et affiche le contenu donnée par la variable TimeAMString pour les heures avant midi, et le contenu de la variable TimePMString pour les heures aprés midi.
/ | Caractére de séparation de date doné par la variable DateSeparator.
: | Caractère de séparation de k'heure donné par la variable TimeSeparator.
'xx'/"xx" | les caractères entre apostrophes ou guillemets sont affichés tel quels et n'affectent pas le format du contrôle.
%h | Donne l'heure au format 0/12 pour l'affichage d'hologes analogiques (Min: 0, Max: 12)
%m | Donne les minutes pour l'affichage d'horloges analogiques (Min: 0, Max: 60)
%s | Donne les secondes pour l'affichage d'horloges analogiques (Min: 0, Max: 60)
%hh | Donne l'heure au format 0/24 pour l'affichage d'horloges analogiques (Min: 0, Max: 24)
%w | Donne le numéro de la semaine (1-52)
%hr | Donne l'heure au format 0/12 sans ajout de zero devant (1 - 12)
%hrr | Donne l'heure au format 0/12 avec ajout de zero devant (01 - 12)


Winamp Formatting Guide

Guide des formats Winamp
Tag | Affichage
%b | Retour à la ligne
%tab | Tabulation
%wp | Titre de la piste (tel qu'il apparaîyt dans la playlist de Winamp)
%wt | Infos sur la piste (titre & artiste - style ancien)
%min | Minutes totales du titre
%sec | Secondes totales du titre
%pm | Position courante dans le titre (minutes)
%ps | Position courante dans le titre (secondes)
%prc | Pourcentage lu du titre courant (utile pour une barre de progression)
%sr | Samplerate du titre courant (eg. 44kHz)
%r | Bitrate du titre courant (eg. 128kbps)
%pl | Longueur de la playlist (nombre de titres)
%pp | Position de la piste courante dans la playlist
%prp | Pourcentage lu de la playlist
%ch | Qualité du titre courant (Stereo/Mono)
%f | Chemin complet du titre courant

ID3 tag info
Tag | Affichage
%t | Titre de la piste
%ar | Nom de l'artiste
%c | Commentaires de la piste
%al | Titre de l'album
%y | Année de la piste
%g | Genre de la piste
%nt | Numéro de la piste
%cmp | Compositeur
%e | Format d'encodage ?
%u | URL
%cpr | Copyright
%oa | Artiste original


Command Line Options

Options de la ligne de commande
Samurize possède quelques options de ligne de commande qui sont listées ci-dessous. Celles applicables uniquement au serveur Samurize sont marquées avec "*", et celles applicables uniquement au client Samurize sont marquées avec "+".
Option | Effet
c=ConfigFileName | charge la config spécifiée. Le chemin est relatif au dossier "Configs" de Samurize , pour charger une config appelée "test.ini" qui se trouve dans le dossier "Configs", vous devrez utiliser : c=test.ini
clickthru=0|1 | Interdit/Autorise la gestion des clicks par le client pour l'instance spécifiée.+
toggleclickthru | Inverse l'état d'Interdiction/Autorisation de la gestion des clicks par le client pour l'instance spécifiée.+
close | Ferme le client/serveur exécutant l'instance spécifiée.
edit | Ouvre la config exécutée par l'instance spécifiée dans l'éditeur de configuration.
hide | Caches l'instance spécifiée.+
i=InstanceName | Exécute l'instance spécifiée. Des instances différentes peuvent être utilisées pour rappeler différentes options. Cliquez ici pour de plus amples informations.
locked=0|1 | Bloquer/Débloquer la position à l'écran pour l'instance spécifiée.+
togglelock | Inverse l'état Bloquer/Débloquer de la position à l'écran pour l'instance spécifiée.+
mode=ontop|absontop|pinned|normalwindow | Fixe le comportement de la fenêtre du client à : Toujours en haut, Toujours au dessus, Attaché au bureau ou Comportement fenêtre normale pour l'instancespécifiée.+
paused=0|1 | Mettre en pause/Sortir de pause l'instance spécifiée.
togglepause | Inverse l'état de Mettre en pause/Sortir de pause pour l'instance spécifiée.
png=ImageFileName | Specifie l'image de sortie pour le serveur Samurize. Active aussi les sorties PNG.*
nopng | Désactive les sorties PNG pour le serveur Samurize.*
reload | Recharge la config courrante pour l'instance spécifiée.
togglerunning | Change l'état de Marche/Arrêt de l'instance spécifiée.
show | Affiche l'instance spécifiée.+
snaptoclients=0|1 | Coller/Décoller le client aux autres clients pour l'instance spécifiée.+
togglesnaptoclients | Change l'état de Coller/Décoller le client aux autres clients pour l'instance spécifiée.+
snaptoedge=0|1 | Coller/Décoller le client aux bords de l'écran pour l'instance spécifiée.+
togglesnaptoedge | Change l'état de Coller/Décoller le client aux bords de l'écran pour l'instance spécifiée.+
trayiconvisible=0|1 | Cacher/Afficher l'icone dans le systray pour l'instance spécifiée.
toggletrayicon | Change l'état de Cacher/Afficher l'icone dans le systray pour l'instance spécifiée.
usedesignpos=0|1 | N'utilise pas/Utilise la position spécifiée dans la config pour l'instance spécifiée.+
toggleusedesignpos | Change l'état de N'utilise pas/Utilise la position spécifiée dans la config pour l'instance spécifiée.+
togglevisible | Change l'état de Cacher/Afficher l'instance spécifiée.+
xml=XmlFileName | Spécifie le fichier XML de sortie pour le serveur Samurize. Active aussi les sorties XML.*
noxml | Désactive les sorties XML pour le serveur Samurize.*